import { ComponentAnatomy } from '@adaptive-web/adaptive-ui';
import { ComposableStyles } from '@microsoft/fast-element';
import { CSSDirective } from '@microsoft/fast-element';
import { ElementStyles } from '@microsoft/fast-element';
import { ElementViewTemplate } from '@microsoft/fast-element';
import { FASTAccordion } from '@microsoft/fast-foundation';
import { FASTAccordionItem } from '@microsoft/fast-foundation';
import { FASTAnchor } from '@microsoft/fast-foundation';
import { FASTAnchoredRegion } from '@microsoft/fast-foundation';
import { FASTAvatar } from '@microsoft/fast-foundation';
import { FASTBadge } from '@microsoft/fast-foundation';
import { FASTBreadcrumb } from '@microsoft/fast-foundation';
import { FASTBreadcrumbItem } from '@microsoft/fast-foundation';
import { FASTButton } from '@microsoft/fast-foundation';
import { FASTCalendar } from '@microsoft/fast-foundation';
import { FASTCard } from '@microsoft/fast-foundation';
import { FASTCheckbox } from '@microsoft/fast-foundation';
import { FASTCombobox } from '@microsoft/fast-foundation';
import { FASTDataGrid } from '@microsoft/fast-foundation';
import { FASTDataGridCell } from '@microsoft/fast-foundation';
import { FASTDataGridRow } from '@microsoft/fast-foundation';
import { FASTDialog } from '@microsoft/fast-foundation';
import { FASTDisclosure } from '@microsoft/fast-foundation';
import { FASTDivider } from '@microsoft/fast-foundation';
import { FASTElementDefinition } from '@microsoft/fast-element';
import { FASTFlipper } from '@microsoft/fast-foundation';
import { FASTHorizontalScroll } from '@microsoft/fast-foundation';
import { FASTListboxElement } from '@microsoft/fast-foundation';
import { FASTListboxOption } from '@microsoft/fast-foundation';
import { FASTMenu } from '@microsoft/fast-foundation';
import { FASTMenuItem } from '@microsoft/fast-foundation';
import { FASTNumberField } from '@microsoft/fast-foundation';
import { FASTPicker } from '@microsoft/fast-foundation';
import { FASTPickerList } from '@microsoft/fast-foundation';
import { FASTPickerListItem } from '@microsoft/fast-foundation';
import { FASTPickerMenu } from '@microsoft/fast-foundation';
import { FASTPickerMenuOption } from '@microsoft/fast-foundation';
import { FASTProgress } from '@microsoft/fast-foundation';
import { FASTProgressRing } from '@microsoft/fast-foundation';
import { FASTRadio } from '@microsoft/fast-foundation';
import { FASTRadioGroup } from '@microsoft/fast-foundation';
import { FASTSearch } from '@microsoft/fast-foundation';
import { FASTSelect } from '@microsoft/fast-foundation';
import { FASTSkeleton } from '@microsoft/fast-foundation';
import { FASTSlider } from '@microsoft/fast-foundation';
import { FASTSliderLabel } from '@microsoft/fast-foundation';
import { FASTSwitch } from '@microsoft/fast-foundation';
import { FASTTab } from '@microsoft/fast-foundation';
import { FASTTabPanel } from '@microsoft/fast-foundation';
import { FASTTabs } from '@microsoft/fast-foundation';
import { FASTTextArea } from '@microsoft/fast-foundation';
import { FASTTextField } from '@microsoft/fast-foundation';
import { FASTToolbar } from '@microsoft/fast-foundation';
import { FASTTooltip } from '@microsoft/fast-foundation';
import { FASTTreeItem } from '@microsoft/fast-foundation';
import { FASTTreeView } from '@microsoft/fast-foundation';
import { HorizontalScrollView } from '@microsoft/fast-foundation';
import { ShadowRootOptions } from '@microsoft/fast-element';
import type { StaticallyComposableHTML } from '@microsoft/fast-foundation';
import { StyleRules } from '@adaptive-web/adaptive-ui';
import type { ValuesOf } from '@microsoft/fast-foundation';

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const accordionAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const AccordionAnatomy: ComponentAnatomy<typeof AccordionConditions, typeof AccordionParts>;

/**
 * @public
 */
export declare const AccordionConditions: {};

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const accordionItemAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const AccordionItemAnatomy: ComponentAnatomy<typeof AccordionItemConditions, typeof AccordionItemParts>;

/**
 * @public
 */
export declare const AccordionItemConditions: {
    expanded: string;
};

/**
 * @public
 */
export declare const AccordionItemParts: {
    heading: string;
    button: string;
    headingContent: string;
    icon: string;
    region: string;
};

/**
 * Keys for {@link DesignSystem} `statics` registration for the accordion item collapsed icon.
 *
 * @beta
 */
export declare const AccordionItemStatics: {
    readonly collapsed: "accordion-item-collapsed-icon";
    readonly expanded: "accordion-item-expanded-icon";
};

/**
 * @beta
 */
export declare type AccordionItemStatics = ValuesOf<typeof AccordionItemStatics>;

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const accordionItemStyleModules: StyleRules;

/**
 * Default Accordion Item template, {@link @microsoft/fast-foundation#accordionItemTemplate}.
 * @public
 */
export declare const accordionItemTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTAccordionItem>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const accordionItemTemplateStyles: ElementStyles;

/**
 * @public
 */
export declare const AccordionParts: {};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const accordionStyleModules: StyleRules;

/**
 * Default Accordion template, {@link @microsoft/fast-foundation#accordionTemplate}.
 * @public
 */
export declare const accordionTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTAccordion>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const accordionTemplateStyles: ElementStyles;

/**
 * The Adaptive version of Anchor. Extends {@link @microsoft/fast-foundation#FASTAnchor}.
 *
 * @public
 */
export declare class AdaptiveAnchor extends FASTAnchor {
    /**
     * Applies 'icon-only' class when there is only an SVG in the default slot.
     */
    protected defaultSlottedContentChanged(): void;
    focus(options?: FocusOptions): void;
}

/**
 * The Adaptive version of Button. Extends {@link @microsoft/fast-foundation#FASTButton}.
 *
 * @public
 */
export declare class AdaptiveButton extends FASTButton {
    /**
     * Applies 'icon-only' class when there is only an SVG in the default slot.
     */
    protected defaultSlottedContentChanged(): void;
    focus(options?: FocusOptions): void;
}

/**
 * The default {@link DesignSystem} configuration.
 *
 * @beta
 */
export declare const AdaptiveDesignSystem: DesignSystem;

/**
 * The Adaptive version of HorizontalScroll. Extends {@link @microsoft/fast-foundation#FASTHorizontalScroll}.
 *
 * @public
 */
export declare class AdaptiveHorizontalScroll extends FASTHorizontalScroll {
    connectedCallback(): void;
    protected viewChanged(prev?: HorizontalScrollView, next?: HorizontalScrollView): void;
}

/**
 * The Adaptive version of Menu. Extends {@link @microsoft/fast-foundation#FASTMenu}.
 *
 * @public
 */
export declare class AdaptiveMenu extends FASTMenu {
    private static elementIndent;
    protected setItems(): void;
}

/**
 * The Adaptive version of MenuItem. Extends {@link @microsoft/fast-foundation#FASTMenuItem}.
 *
 * @public
 */
export declare class AdaptiveMenuItem extends FASTMenuItem {
    /**
     * Managed by {@link AdaptiveMenu} to align checkbox or radio controls and `start` slot content properly.
     *
     * @public
     */
    startColumnCount: AdaptiveMenuItemColumnCount;
}

/* Excluded from this release type: AdaptiveMenuItemColumnCount */

/**
 * The Adaptive version of Select. Extends {@link @microsoft/fast-foundation#FASTSelect}.
 */
declare class AdaptiveSelect extends FASTSelect {
    private computedStylesheet?;
    multipleChanged(prev: boolean | undefined, next: boolean): void;
    protected sizeChanged(prev: number | undefined, next: number): void;
    /* Excluded from this release type: updateComputedStylesheet */
}

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const anchorAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const AnchorAnatomy: ComponentAnatomy<typeof AnchorConditions, typeof AnchorParts>;

/**
 * @public
 */
export declare const AnchorConditions: {
    iconOnly: string;
    noHref: string;
};

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const anchoredRegionAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const AnchoredRegionAnatomy: ComponentAnatomy<typeof AnchoredRegionConditions, typeof AnchoredRegionParts>;

/**
 * @public
 */
export declare const AnchoredRegionConditions: {
    loaded: string;
};

/**
 * @public
 */
export declare const AnchoredRegionParts: {};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const anchoredRegionStyleModules: StyleRules;

/**
 * Default Anchored Region template, {@link @microsoft/fast-foundation#anchoredRegionTemplate}.
 * @public
 */
export declare const anchoredRegionTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTAnchoredRegion>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const anchoredRegionTemplateStyles: ElementStyles;

/**
 * @public
 */
export declare const AnchorParts: {
    control: string;
    content: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const anchorStyleModules: StyleRules;

/**
 * Default Anchor template, {@link @microsoft/fast-foundation#anchorTemplate}.
 * @public
 */
export declare const anchorTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTAnchor>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const anchorTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const avatarAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const AvatarAnatomy: ComponentAnatomy<typeof AvatarConditions, typeof AvatarParts>;

/**
 * @public
 */
export declare const AvatarConditions: {};

/**
 * @public
 */
export declare const AvatarParts: {
    backplate: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const avatarStyleModules: StyleRules;

/**
 * Default Avatar template, {@link @microsoft/fast-foundation#avatarTemplate}.
 * @public
 */
export declare const avatarTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTAvatar>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const avatarTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const badgeAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const BadgeAnatomy: ComponentAnatomy<typeof BadgeConditions, typeof BadgeParts>;

/**
 * @public
 */
export declare const BadgeConditions: {};

/**
 * @public
 */
export declare const BadgeParts: {
    control: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const badgeStyleModules: StyleRules;

/**
 * Default Badge template, {@link @microsoft/fast-foundation#badgeTemplate}.
 * @public
 */
export declare const badgeTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTBadge>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const badgeTemplateStyles: ElementStyles;

/* Excluded from this release type: baseHeightMultiplier */

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const breadcrumbAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const BreadcrumbAnatomy: ComponentAnatomy<typeof BreadcrumbConditions, typeof BreadcrumbParts>;

/**
 * @public
 */
export declare const BreadcrumbConditions: {};

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const breadcrumbItemAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const BreadcrumbItemAnatomy: ComponentAnatomy<typeof BreadcrumbItemConditions, typeof BreadcrumbItemParts>;

/**
 * @public
 */
export declare const BreadcrumbItemConditions: {
    noHref: string;
    current: string;
};

/**
 * @public
 */
export declare const BreadcrumbItemParts: {
    control: string;
    content: string;
    listitem: string;
    separator: string;
};

/**
 * Keys for {@link DesignSystem} `statics` registration for the breadcrumb item.
 *
 * @beta
 */
export declare const BreadcrumbItemStatics: {
    readonly separator: "breadcrumb-item-separator";
};

/**
 * @beta
 */
export declare type BreadcrumbItemStatics = ValuesOf<typeof BreadcrumbItemStatics>;

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const breadcrumbItemStyleModules: StyleRules;

/**
 * Default Breadcrumb Item template, {@link @microsoft/fast-foundation#breadcrumbItemTemplate}.
 * @public
 */
export declare const breadcrumbItemTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTBreadcrumbItem>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const breadcrumbItemTemplateStyles: ElementStyles;

/**
 * @public
 */
export declare const BreadcrumbParts: {
    list: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const breadcrumbStyleModules: StyleRules;

/**
 * Default Breadcrumb template, {@link @microsoft/fast-foundation#breadcrumbTemplate}.
 * @public
 */
export declare const breadcrumbTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTBreadcrumb>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const breadcrumbTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const buttonAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const ButtonAnatomy: ComponentAnatomy<typeof ButtonConditions, typeof ButtonParts>;

/**
 * @public
 */
export declare const ButtonConditions: {
    iconOnly: string;
};

/**
 * @public
 */
export declare const ButtonParts: {
    control: string;
    content: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const buttonStyleModules: StyleRules;

/**
 * Default Button template, {@link @microsoft/fast-foundation#buttonTemplate}.
 * @public
 */
export declare const buttonTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTButton>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const buttonTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const calendarAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const CalendarAnatomy: ComponentAnatomy<typeof CalendarConditions, typeof CalendarParts>;

/**
 * @public
 */
export declare const CalendarConditions: {};

/**
 * @public
 */
export declare const CalendarParts: {
    title: string;
    month: string;
    year: string;
    days: string;
    week: string;
    weekDay: string;
    weekDays: string;
    day: string;
    date: string;
    today: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const calendarStyleModules: StyleRules;

/**
 * Default Calendar template, {@link @microsoft/fast-foundation#calendarTemplate}.
 * @public
 */
export declare const calendarTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTCalendar>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const calendarTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const cardAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const CardAnatomy: ComponentAnatomy<typeof CardConditions, typeof CardParts>;

/**
 * @public
 */
export declare const CardConditions: {};

/**
 * @public
 */
export declare const CardParts: {};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const cardStyleModules: StyleRules;

/**
 * Default Card template, {@link @microsoft/fast-foundation#cardTemplate}.
 * @public
 */
export declare const cardTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTCard>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const cardTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const checkboxAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const CheckboxAnatomy: ComponentAnatomy<typeof CheckboxConditions, typeof CheckboxParts>;

/**
 * @public
 */
export declare const CheckboxConditions: {
    checked: string;
    indeterminate: string;
};

/**
 * @public
 */
export declare const CheckboxParts: {
    control: string;
    label: string;
};

/**
 * Keys for {@link DesignSystem} `statics` registration for the checkbox.
 *
 * @beta
 */
export declare const CheckboxStatics: {
    readonly checked: "checkbox-checked-indicator";
    readonly indeterminate: "checkbox-indeterminate-indicator";
};

/**
 * @beta
 */
export declare type CheckboxStatics = ValuesOf<typeof CheckboxStatics>;

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const checkboxStyleModules: StyleRules;

/**
 * Default Checkbox template, {@link @microsoft/fast-foundation#checkboxTemplate}.
 * @public
 */
export declare const checkboxTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTCheckbox>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const checkboxTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const comboboxAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const ComboboxAnatomy: ComponentAnatomy<typeof ComboboxConditions, typeof ComboboxParts>;

/**
 * @public
 */
export declare const ComboboxConditions: {};

/**
 * @public
 */
export declare const ComboboxParts: {
    control: string;
    selectedValue: string;
    indicator: string;
    listbox: string;
};

/**
 * Keys for {@link DesignSystem} `statics` registration for the combobox.
 *
 * @beta
 */
export declare const ComboboxStatics: {
    readonly indicator: "combobox-indicator";
};

/**
 * @beta
 */
export declare type ComboboxStatics = ValuesOf<typeof ComboboxStatics>;

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const comboboxStyleModules: StyleRules;

/**
 * Default Combobox template, {@link @microsoft/fast-foundation#comboboxTemplate}.
 * @public
 */
export declare const comboboxTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTCombobox>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const comboboxTemplateStyles: ElementStyles;

/**
 * Recommended base styles for a component.
 *
 * @public
 * @remarks
 * Adds support for `[hidden]` custom elements.
 */
export declare const componentBaseStyles = "\n    :host([hidden]) {\n        display: none !important;\n    }\n\n    :host {\n        box-sizing: border-box;\n    }\n\n    *, *:before, *:after {\n        box-sizing: inherit;\n    }\n";

declare type ComponentStatics = AccordionItemStatics | BreadcrumbItemStatics | CheckboxStatics | ComboboxStatics | FlipperStatics | MenuItemStatics | NumberFieldStatics | RadioStatics | SelectStatics | TreeItemStatics;

/**
 * @public
 */
export declare function composeAccordion(ds: DesignSystem, options?: ComposeOptions<FASTAccordion>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeAccordionItem(ds: DesignSystem, options?: ComposeOptions<FASTAccordionItem, AccordionItemStatics>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeAnchor(ds: DesignSystem, options?: ComposeOptions<AdaptiveAnchor>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeAnchoredRegion(ds: DesignSystem, options?: ComposeOptions<FASTAnchoredRegion>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeAvatar(ds: DesignSystem, options?: ComposeOptions<FASTAvatar>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeBadge(ds: DesignSystem, options?: ComposeOptions<FASTBadge>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeBreadcrumb(ds: DesignSystem, options?: ComposeOptions<FASTBreadcrumb>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeBreadcrumbItem(ds: DesignSystem, options?: ComposeOptions<FASTBreadcrumbItem, BreadcrumbItemStatics>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeButton(ds: DesignSystem, options?: ComposeOptions<AdaptiveButton>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeCalendar(ds: DesignSystem, options?: ComposeOptions<FASTCalendar>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeCard(ds: DesignSystem, options?: ComposeOptions<FASTCard>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeCheckbox(ds: DesignSystem, options?: ComposeOptions<FASTCheckbox, CheckboxStatics>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeCombobox(ds: DesignSystem, options?: ComposeOptions<FASTCombobox, ComboboxStatics>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeDataGrid(ds: DesignSystem, options?: ComposeOptions<FASTDataGrid>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeDataGridCell(ds: DesignSystem, options?: ComposeOptions<FASTDataGridCell>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeDataGridRow(ds: DesignSystem, options?: ComposeOptions<FASTDataGridRow>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeDialog(ds: DesignSystem, options?: ComposeOptions<FASTDialog>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeDisclosure(ds: DesignSystem, options?: ComposeOptions<FASTDisclosure>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeDivider(ds: DesignSystem, options?: ComposeOptions<FASTDivider>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeFlipper(ds: DesignSystem, options?: ComposeOptions<FASTFlipper, FlipperStatics>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeHorizontalScroll(ds: DesignSystem, options?: ComposeOptions<AdaptiveHorizontalScroll>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeListbox(ds: DesignSystem, options?: ComposeOptions<FASTListboxElement>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeListboxOption(ds: DesignSystem, options?: ComposeOptions<FASTListboxOption>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeMenu(ds: DesignSystem, options?: ComposeOptions<AdaptiveMenu>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeMenuItem(ds: DesignSystem, options?: ComposeOptions<AdaptiveMenuItem, MenuItemStatics>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeNumberField(ds: DesignSystem, options?: ComposeOptions<FASTNumberField, NumberFieldStatics>): FASTElementDefinition;

/* Excluded from this release type: ComposeOptions */

/**
 * @public
 */
export declare function composePicker(ds: DesignSystem, options?: ComposeOptions<FASTPicker>): FASTElementDefinition;

/**
 * @public
 */
export declare function composePickerList(ds: DesignSystem, options?: ComposeOptions<FASTPickerList>): FASTElementDefinition;

/**
 * @public
 */
export declare function composePickerListItem(ds: DesignSystem, options?: ComposeOptions<FASTPickerListItem>): FASTElementDefinition;

/**
 * @public
 */
export declare function composePickerMenu(ds: DesignSystem, options?: ComposeOptions<FASTPickerMenu>): FASTElementDefinition;

/**
 * @public
 */
export declare function composePickerMenuOption(ds: DesignSystem, options?: ComposeOptions<FASTPickerMenuOption>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeProgress(ds: DesignSystem, options?: ComposeOptions<FASTProgress>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeProgressRing(ds: DesignSystem, options?: ComposeOptions<FASTProgressRing>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeRadio(ds: DesignSystem, options?: ComposeOptions<FASTRadio, RadioStatics>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeRadioGroup(ds: DesignSystem, options?: ComposeOptions<FASTRadioGroup>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeSearch(ds: DesignSystem, options?: ComposeOptions<FASTSearch>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeSelect(ds: DesignSystem, options?: ComposeOptions<AdaptiveSelect, SelectStatics>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeSkeleton(ds: DesignSystem, options?: ComposeOptions<FASTSkeleton>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeSlider(ds: DesignSystem, options?: ComposeOptions<FASTSlider>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeSliderLabel(ds: DesignSystem, options?: ComposeOptions<FASTSliderLabel>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeSwitch(ds: DesignSystem, options?: ComposeOptions<FASTSwitch>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeTab(ds: DesignSystem, options?: ComposeOptions<FASTTab>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeTabPanel(ds: DesignSystem, options?: ComposeOptions<FASTTabPanel>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeTabs(ds: DesignSystem, options?: ComposeOptions<FASTTabs>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeTextArea(ds: DesignSystem, options?: ComposeOptions<FASTTextArea>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeTextField(ds: DesignSystem, options?: ComposeOptions<FASTTextField>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeToolbar(ds: DesignSystem, options?: ComposeOptions<FASTToolbar>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeTooltip(ds: DesignSystem, options?: ComposeOptions<FASTTooltip>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeTreeItem(ds: DesignSystem, options?: ComposeOptions<FASTTreeItem, TreeItemStatics>): FASTElementDefinition;

/**
 * @public
 */
export declare function composeTreeView(ds: DesignSystem, options?: ComposeOptions<FASTTreeView>): FASTElementDefinition;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const dataGridAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const DataGridAnatomy: ComponentAnatomy<typeof DataGridConditions, typeof DataGridParts>;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const dataGridCellAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const DataGridCellAnatomy: ComponentAnatomy<typeof DataGridCellConditions, typeof DataGridCellParts>;

/**
 * @public
 */
export declare const DataGridCellConditions: {
    cellType: {
        default: string;
        columnHeader: string;
        rowHeader: string;
    };
};

/**
 * @public
 */
export declare const DataGridCellParts: {};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const dataGridCellStyleModules: StyleRules;

/**
 * Default Data Grid Cell template, {@link @microsoft/fast-foundation#dataGridCellTemplate}.
 * @public
 */
export declare const dataGridCellTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTDataGridCell>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const dataGridCellTemplateStyles: ElementStyles;

/**
 * @public
 */
export declare const DataGridConditions: {};

/**
 * @public
 */
export declare const DataGridParts: {};

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const dataGridRowAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const DataGridRowAnatomy: ComponentAnatomy<typeof DataGridRowConditions, typeof DataGridRowParts>;

/**
 * @public
 */
export declare const DataGridRowConditions: {
    rowType: {
        default: string;
        header: string;
        stickyHeader: string;
    };
    selected: string;
};

/**
 * @public
 */
export declare const DataGridRowParts: {};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const dataGridRowStyleModules: StyleRules;

/**
 * Default Data Grid Row template, {@link @microsoft/fast-foundation#dataGridRowTemplate}.
 * @public
 */
export declare const dataGridRowTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTDataGridRow>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const dataGridRowTemplateStyles: ElementStyles;

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const dataGridStyleModules: StyleRules;

/**
 * Default Data Grid template, {@link @microsoft/fast-foundation#dataGridTemplate}.
 * @public
 */
export declare const dataGridTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTDataGrid>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const dataGridTemplateStyles: ElementStyles;

/* Excluded from this release type: density */

/**
 * Represents metadata configuration for a custom element.
 *
 * @beta
 */
export declare class DesignSystem {
    private _prefix;
    private _registry;
    private _statics;
    constructor(_prefix: string, _registry?: CustomElementRegistry, _statics?: ElementStaticMap);
    get prefix(): string;
    get registry(): CustomElementRegistry;
    get statics(): ElementStaticMap;
    /**
     * Overrides DesignSystem properties.
     *
     * @beta
     */
    configure(options: PartialDesignSystem): this;
    /**
     * Sets the element prefix.
     *
     * @remarks
     * Can be chained with other methods on the DesignSystem class.
     *
     * @beta
     */
    withPrefix(prefix: string): this;
    /**
     * Defines a set of components using the prefix and registry defined with the DesignSystem
     *
     * @beta
     */
    defineComponents(components: Record<string, ((ds: DesignSystem) => FASTElementDefinition) | FASTElementDefinition>): void;
    /**
     * Checks a StyleRule for a target `part` and turns it into a class name.
     *
     * @remarks
     * This Design System is local to AWC and all templates and anatomy are structured this way.
     * The opinion of using class names used to exist in AUI, but AUI is now non-opinionated in this regard.
     *
     * @param styleRule - The StyleRule to check and update
     * @returns The updated StyleRule.
     */
    private static updateStyleRulesParts;
    /**
     * Checks a `StyleModuleTarget` for `part` and turns it into a class name.
     *
     * @remarks
     * This Design System is local to AWC and all templates and anatomy are structured this way.
     * The opinion of using class names used to exist in AUI, but AUI is now non-opinionated in this regard.
     *
     * @param styleRule - The StyleModuleTarget to check and update
     * @returns The updated StyleModuleTarget.
     */
    private static updateTargetParts;
    /**
     * Assembles the collection of intended styles, evaluating and injecting modular styling if provided.
     *
     * @param defaultStyles - The default collection of styles to use if not overridden by `options.styles`.
     * @param interactivity - The interactivity selectors for the component.
     * @param options - The component options, using `styles` and `styleModules`.
     * @returns The collection of desired styles.
     *
     * @beta
     */
    static assembleStyles(defaultStyles: ComposableStyles[], anatomy?: ComponentAnatomy<any, any>, options?: ComposeOptions<any>): ElementStyles;
}

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const dialogAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const DialogAnatomy: ComponentAnatomy<typeof DialogConditions, typeof DialogParts>;

/**
 * @public
 */
export declare const DialogConditions: {};

/**
 * @public
 */
export declare const DialogParts: {
    positioningRegion: string;
    overlay: string;
    control: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const dialogStyleModules: StyleRules;

/**
 * Default Dialog template, {@link @microsoft/fast-foundation#dialogTemplate}.
 * @public
 */
export declare const dialogTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTDialog>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const dialogTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const disclosureAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const DisclosureAnatomy: ComponentAnatomy<typeof DisclosureConditions, typeof DisclosureParts>;

/**
 * @public
 */
export declare const DisclosureConditions: {
    expanded: string;
};

/**
 * @public
 */
export declare const DisclosureParts: {
    invoker: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const disclosureStyleModules: StyleRules;

/**
 * Default Disclosure template, {@link @microsoft/fast-foundation#disclosureTemplate}.
 * @public
 */
export declare const disclosureTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTDisclosure>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const disclosureTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const dividerAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const DividerAnatomy: ComponentAnatomy<typeof DividerConditions, typeof DividerParts>;

/**
 * @public
 */
export declare const DividerConditions: {
    orientation: {
        horizontal: string;
        vertical: string;
    };
};

/**
 * @public
 */
export declare const DividerParts: {};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const dividerStyleModules: StyleRules;

/**
 * Default Divider template, {@link @microsoft/fast-foundation#dividerTemplate}.
 * @public
 */
export declare const dividerTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTDivider>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const dividerTemplateStyles: ElementStyles;

/**
 * @beta
 */
declare type ElementStaticMap = Map<ComponentStatics, StaticallyComposableHTML>;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const flipperAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const FlipperAnatomy: ComponentAnatomy<typeof FlipperConditions, typeof FlipperParts>;

/**
 * @public
 */
export declare const FlipperConditions: {
    direction: {
        next: string;
        previous: string;
    };
};

/**
 * @public
 */
export declare const FlipperParts: {
    next: string;
    previous: string;
};

/**
 * Keys for {@link DesignSystem} `statics` registration for the flipper.
 *
 * @beta
 */
export declare const FlipperStatics: {
    readonly next: "flipper-next";
    readonly previous: "flipper-previous";
};

/**
 * @beta
 */
export declare type FlipperStatics = ValuesOf<typeof FlipperStatics>;

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const flipperStyleModules: StyleRules;

/**
 * Default Flipper template, {@link @microsoft/fast-foundation#flipperTemplate}.
 * @public
 */
export declare const flipperTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTFlipper>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const flipperTemplateStyles: ElementStyles;

/* Excluded from this release type: heightNumber */

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const horizontalScrollAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const HorizontalScrollAnatomy: ComponentAnatomy<typeof HorizontalScrollConditions, typeof HorizontalScrollParts>;

/**
 * @public
 */
export declare const HorizontalScrollConditions: {};

/**
 * @public
 */
export declare const HorizontalScrollParts: {
    scrollArea: string;
    scrollView: string;
    content: string;
    scrollPrevious: string;
    previousFlipper: string;
    scrollNext: string;
    nextFlipper: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const horizontalScrollStyleModules: StyleRules;

/**
 * Default Horizontal Scroll template, {@link @microsoft/fast-foundation#horizontalScrollTemplate}.
 * @public
 */
export declare const horizontalScrollTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTHorizontalScroll>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const horizontalScrollTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const listboxAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const ListboxAnatomy: ComponentAnatomy<typeof ListboxConditions, typeof ListboxParts>;

/**
 * @public
 */
export declare const ListboxConditions: {};

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const listboxOptionAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const ListboxOptionAnatomy: ComponentAnatomy<typeof ListboxOptionConditions, typeof ListboxOptionParts>;

/**
 * @public
 */
export declare const ListboxOptionConditions: {
    checked: string;
    selected: string;
};

/**
 * @public
 */
export declare const ListboxOptionParts: {
    content: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const listboxOptionStyleModules: StyleRules;

/**
 * Default Listbox Option template, {@link @microsoft/fast-foundation#listboxOptionTemplate}.
 * @public
 */
export declare const listboxOptionTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTListboxOption>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const listboxOptionTemplateStyles: ElementStyles;

/**
 * @public
 */
export declare const ListboxParts: {};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const listboxStyleModules: StyleRules;

/**
 * Default Listbox template, {@link @microsoft/fast-foundation#listboxTemplate}.
 * @public
 */
export declare const listboxTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTListboxElement>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const listboxTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const menuAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const MenuAnatomy: ComponentAnatomy<typeof MenuConditions, typeof MenuParts>;

/**
 * @public
 */
export declare const MenuConditions: {
    submenu: string;
};

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const menuItemAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const MenuItemAnatomy: ComponentAnatomy<typeof MenuItemConditions, typeof MenuItemParts>;

/**
 * @public
 */
export declare const MenuItemConditions: {
    checked: string;
};

/**
 * @public
 */
export declare const MenuItemParts: {
    content: string;
    submenuIcon: string;
};

/**
 * Keys for {@link DesignSystem} `statics` registration for the menu item.
 *
 * @beta
 */
export declare const MenuItemStatics: {
    readonly checkbox: "menu-item-checkbox-indicator";
    readonly radio: "menu-item-radio-indicator";
    readonly submenu: "menu-item-submenu-item";
};

/**
 * @beta
 */
export declare type MenuItemStatics = ValuesOf<typeof MenuItemStatics>;

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const menuItemStyleModules: StyleRules;

/**
 * Default Menu Item template, {@link @microsoft/fast-foundation#menuItemTemplate}.
 * @public
 */
export declare const menuItemTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTMenuItem>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const menuItemTemplateStyles: ElementStyles;

/**
 * @public
 */
export declare const MenuParts: {};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const menuStyleModules: StyleRules;

/**
 * Default Menu template, {@link @microsoft/fast-foundation#menuTemplate}.
 * @public
 */
export declare const menuTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTMenu>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const menuTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const numberFieldAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const NumberFieldAnatomy: ComponentAnatomy<typeof NumberFieldConditions, typeof NumberFieldParts>;

/**
 * @public
 */
export declare const NumberFieldConditions: {};

/**
 * @public
 */
export declare const NumberFieldParts: {
    label: string;
    root: string;
    control: string;
    controls: string;
    stepUp: string;
    stepDown: string;
};

/**
 * Keys for {@link DesignSystem} `statics` registration for the number field.
 *
 * @beta
 */
export declare const NumberFieldStatics: {
    readonly stepDown: "number-field-step-down-icon";
    readonly stepUp: "number-field-step-up-icon";
};

/**
 * @beta
 */
export declare type NumberFieldStatics = ValuesOf<typeof NumberFieldStatics>;

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const numberFieldStyleModules: StyleRules;

/**
 * Default Number Field template, {@link @microsoft/fast-foundation#numberFieldTemplate}.
 * @public
 */
export declare const numberFieldTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTNumberField>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const numberFieldTemplateStyles: ElementStyles;

/**
 * Represents partial metadata configuration for a custom element.
 *
 * @beta
 */
declare type PartialDesignSystem = Partial<DesignSystem>;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const pickerAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const PickerAnatomy: ComponentAnatomy<typeof PickerConditions, typeof PickerParts>;

/**
 * @public
 */
export declare const PickerConditions: {};

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const pickerListAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const PickerListAnatomy: ComponentAnatomy<typeof PickerListConditions, typeof PickerListParts>;

/**
 * @public
 */
export declare const PickerListConditions: {};

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const pickerListItemAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const PickerListItemAnatomy: ComponentAnatomy<typeof PickerListItemConditions, typeof PickerListItemParts>;

/**
 * @public
 */
export declare const PickerListItemConditions: {};

/**
 * @public
 */
export declare const PickerListItemParts: {};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const pickerListItemStyleModules: StyleRules;

/**
 * Default Picker List Item template, {@link @microsoft/fast-foundation#pickerListItemTemplate}.
 * @public
 */
export declare const pickerListItemTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTPickerListItem>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const pickerListItemTemplateStyles: ElementStyles;

/**
 * @public
 */
export declare const PickerListParts: {};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const pickerListStyleModules: StyleRules;

/**
 * Default Picker List template, {@link @microsoft/fast-foundation#pickerListTemplate}.
 * @public
 */
export declare const pickerListTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTPickerList>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const pickerListTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const pickerMenuAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const PickerMenuAnatomy: ComponentAnatomy<typeof PickerMenuConditions, typeof PickerMenuParts>;

/**
 * @public
 */
export declare const PickerMenuConditions: {};

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const pickerMenuOptionAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const PickerMenuOptionAnatomy: ComponentAnatomy<typeof PickerMenuOptionConditions, typeof PickerMenuOptionParts>;

/**
 * @public
 */
export declare const PickerMenuOptionConditions: {
    selected: string;
};

/**
 * @public
 */
export declare const PickerMenuOptionParts: {};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const pickerMenuOptionStyleModules: StyleRules;

/**
 * Default Picker Menu Option template, {@link @microsoft/fast-foundation#pickerMenuOptionTemplate}.
 * @public
 */
export declare const pickerMenuOptionTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTPickerMenuOption>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const pickerMenuOptionTemplateStyles: ElementStyles;

/**
 * @public
 */
export declare const PickerMenuParts: {
    optionsDisplay: string;
    headerRegion: string;
    footerRegion: string;
    suggestionsAvailableAlert: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const pickerMenuStyleModules: StyleRules;

/**
 * Default Picker Menu template, {@link @microsoft/fast-foundation#pickerMenuTemplate}.
 * @public
 */
export declare const pickerMenuTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTPickerMenu>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const pickerMenuTemplateStyles: ElementStyles;

/**
 * @public
 */
export declare const PickerParts: {
    region: string;
    noOptionsDisplay: string;
    loadingDisplay: string;
    loadingProgress: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const pickerStyleModules: StyleRules;

/**
 * Default Picker template, {@link @microsoft/fast-foundation#pickerTemplate}.
 * @public
 */
export declare const pickerTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTPicker>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const pickerTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const progressAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const ProgressAnatomy: ComponentAnatomy<typeof ProgressConditions, typeof ProgressParts>;

/**
 * @public
 */
export declare const ProgressConditions: {};

/**
 * @public
 */
export declare const ProgressParts: {
    indicator: string;
    determinate: string;
    indeterminate: string;
};

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const progressRingAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const ProgressRingAnatomy: ComponentAnatomy<typeof ProgressRingConditions, typeof ProgressRingParts>;

/**
 * @public
 */
export declare const ProgressRingConditions: {};

/**
 * @public
 */
export declare const ProgressRingParts: {
    indicator: string;
    determinate: string;
    indeterminate: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const progressRingStyleModules: StyleRules;

/**
 * Default Progress template, {@link @microsoft/fast-foundation#progressTemplate}.
 * @public
 */
export declare const progressRingTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTProgressRing>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const progressRingTemplateStyles: ElementStyles;

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const progressStyleModules: StyleRules;

/**
 * Default Progress template, {@link @microsoft/fast-foundation#progressTemplate}.
 * @public
 */
export declare const progressTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTProgress>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const progressTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const radioAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const RadioAnatomy: ComponentAnatomy<typeof RadioConditions, typeof RadioParts>;

/**
 * @public
 */
export declare const RadioConditions: {
    checked: string;
};

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const radioGroupAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const RadioGroupAnatomy: ComponentAnatomy<typeof RadioGroupConditions, typeof RadioGroupParts>;

/**
 * @public
 */
export declare const RadioGroupConditions: {
    orientation: {
        horizontal: string;
        vertical: string;
    };
};

/**
 * @public
 */
export declare const RadioGroupParts: {
    positioningRegion: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const radioGroupStyleModules: StyleRules;

/**
 * Default Radio Group template, {@link @microsoft/fast-foundation#radioGroupTemplate}.
 * @public
 */
export declare const radioGroupTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTRadioGroup>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const radioGroupTemplateStyles: ElementStyles;

/**
 * @public
 */
export declare const RadioParts: {
    control: string;
    label: string;
};

/**
 * Keys for {@link DesignSystem} `statics` registration for the radio.
 *
 * @beta
 */
export declare const RadioStatics: {
    readonly checked: "radio-checked-indicator";
};

/**
 * @beta
 */
export declare type RadioStatics = ValuesOf<typeof RadioStatics>;

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const radioStyleModules: StyleRules;

/**
 * Default Radio template, {@link @microsoft/fast-foundation#radioTemplate}.
 * @public
 */
export declare const radioTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTRadio>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const radioTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const searchAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const SearchAnatomy: ComponentAnatomy<typeof SearchConditions, typeof SearchParts>;

/**
 * @public
 */
export declare const SearchConditions: {};

/**
 * @public
 */
export declare const SearchParts: {
    label: string;
    root: string;
    control: string;
    clearButton: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const searchStyleModules: StyleRules;

/**
 * Default Search Field template, {@link @microsoft/fast-foundation#searchTemplate}.
 * @public
 */
export declare const searchTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTSearch>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const searchTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const selectAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const SelectAnatomy: ComponentAnatomy<typeof SelectConditions, typeof SelectParts>;

/**
 * @public
 */
export declare const SelectConditions: {
    isDropdown: string;
    isListbox: string;
};

/**
 * @public
 */
export declare const SelectParts: {
    control: string;
    selectedValue: string;
    indicator: string;
    listbox: string;
};

/**
 * Keys for {@link DesignSystem} `statics` registration for the select.
 *
 * @beta
 */
export declare const SelectStatics: {
    readonly indicator: "select-indicator";
};

/**
 * @beta
 */
export declare type SelectStatics = ValuesOf<typeof SelectStatics>;

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const selectStyleModules: StyleRules;

/**
 * Default Select template, {@link @microsoft/fast-foundation#selectTemplate}.
 * @public
 */
export declare const selectTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTSelect>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const selectTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const skeletonAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const SkeletonAnatomy: ComponentAnatomy<typeof SkeletonConditions, typeof SkeletonParts>;

/**
 * @public
 */
export declare const SkeletonConditions: {
    shape: {
        rectangle: string;
        circle: string;
    };
};

/**
 * @public
 */
export declare const SkeletonParts: {};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const skeletonStyleModules: StyleRules;

/**
 * Default Skeleton template, {@link @microsoft/fast-foundation#skeletonTemplate}.
 * @public
 */
export declare const skeletonTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTSkeleton>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const skeletonTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const sliderAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const SliderAnatomy: ComponentAnatomy<typeof SliderConditions, typeof SliderParts>;

/**
 * @public
 */
export declare const SliderConditions: {
    orientation: {
        horizontal: string;
        vertical: string;
    };
};

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const sliderLabelAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const SliderLabelAnatomy: ComponentAnatomy<typeof SliderLabelConditions, typeof SliderLabelParts>;

/**
 * @public
 */
export declare const SliderLabelConditions: {
    orientation: {
        horizontal: string;
        vertical: string;
    };
};

/**
 * @public
 */
export declare const SliderLabelParts: {
    container: string;
    mark: string;
    content: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const sliderLabelStyleModules: StyleRules;

/**
 * Default Slider Label template, {@link @microsoft/fast-foundation#sliderLabelTemplate}.
 * @public
 */
export declare const sliderLabelTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTSliderLabel>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const sliderLabelTemplateStyles: ElementStyles;

/**
 * @public
 */
export declare const SliderParts: {
    positioningRegion: string;
    track: string;
    trackStart: string;
    thumbContainer: string;
    thumb: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const sliderStyleModules: StyleRules;

/**
 * Default Slider template, {@link @microsoft/fast-foundation#sliderTemplate}.
 * @public
 */
export declare const sliderTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTSlider>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const sliderTemplateStyles: ElementStyles;

/**
 * Styles for default svg icons.
 *
 * @public
 * @remarks
 * Temporary rule to be migrated to style modules structure.
 */
export declare const svgIconStyles = "\n    .stroked {\n        stroke: currentcolor;\n        stroke-linecap: round;\n        stroke-linejoin: round;\n        stroke-width: 1px;\n    }\n";

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const switchAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const SwitchAnatomy: ComponentAnatomy<typeof SwitchConditions, typeof SwitchParts>;

/**
 * @public
 */
export declare const SwitchConditions: {
    checked: string;
};

/**
 * @public
 */
export declare const SwitchParts: {
    switch: string;
    label: string;
    thumb: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const switchStyleModules: StyleRules;

/**
 * Default Switch template, {@link @microsoft/fast-foundation#switchTemplate}.
 * @public
 */
export declare const switchTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTSwitch>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const switchTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const tabAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const TabAnatomy: ComponentAnatomy<typeof TabConditions, typeof TabParts>;

/**
 * @public
 */
export declare const TabConditions: {};

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const tabPanelAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const TabPanelAnatomy: ComponentAnatomy<typeof TabPanelConditions, typeof TabPanelParts>;

/**
 * @public
 */
export declare const TabPanelConditions: {};

/**
 * @public
 */
export declare const TabPanelParts: {};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const tabPanelStyleModules: StyleRules;

/**
 * Default Tab Panel template, {@link @microsoft/fast-foundation#tabPanelTemplate}.
 * @public
 */
export declare const tabPanelTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTTabPanel>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const tabPanelTemplateStyles: ElementStyles;

/**
 * @public
 */
export declare const TabParts: {};

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const tabsAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const TabsAnatomy: ComponentAnatomy<typeof TabsConditions, typeof TabsParts>;

/**
 * @public
 */
export declare const TabsConditions: {
    orientation: {
        horizontal: string;
        vertical: string;
    };
};

/**
 * @public
 */
export declare const TabsParts: {
    tablist: string;
    tabpanel: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const tabsStyleModules: StyleRules;

/**
 * Default Tabs template, {@link @microsoft/fast-foundation#tabsTemplate}.
 * @public
 */
export declare const tabsTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTTabs>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const tabsTemplateStyles: ElementStyles;

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const tabStyleModules: StyleRules;

/**
 * Default Tab template, {@link @microsoft/fast-foundation#tabTemplate}.
 * @public
 */
export declare const tabTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTTab>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const tabTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const textAreaAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const TextAreaAnatomy: ComponentAnatomy<typeof TextAreaConditions, typeof TextAreaParts>;

/**
 * @public
 */
export declare const TextAreaConditions: {};

/**
 * @public
 */
export declare const TextAreaParts: {
    label: string;
    control: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const textAreaStyleModules: StyleRules;

/**
 * Default Text Area template, {@link @microsoft/fast-foundation#textAreaTemplate}.
 * @public
 */
export declare const textAreaTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTTextArea>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const textAreaTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const textFieldAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const TextFieldAnatomy: ComponentAnatomy<typeof TextFieldConditions, typeof TextFieldParts>;

/**
 * @public
 */
export declare const TextFieldConditions: {};

/**
 * @public
 */
export declare const TextFieldParts: {
    label: string;
    root: string;
    control: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const textFieldStyleModules: StyleRules;

/**
 * Default Text Field template, {@link @microsoft/fast-foundation#textFieldTemplate}.
 * @public
 */
export declare const textFieldTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTTextField>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const textFieldTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const toolbarAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const ToolbarAnatomy: ComponentAnatomy<typeof ToolbarConditions, typeof ToolbarParts>;

/**
 * @public
 */
export declare const ToolbarConditions: {
    orientation: {
        horizontal: string;
        vertical: string;
    };
};

/**
 * @public
 */
export declare const ToolbarParts: {
    positioningRegion: string;
};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const toolbarStyleModules: StyleRules;

/**
 * Default Toolbar template, {@link @microsoft/fast-foundation#toolbarTemplate}.
 * @public
 */
export declare const toolbarTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTToolbar>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const toolbarTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const tooltipAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const TooltipAnatomy: ComponentAnatomy<typeof TooltipConditions, typeof TooltipParts>;

/**
 * @public
 */
export declare const TooltipConditions: {
    show: string;
    visible: string;
};

/**
 * @public
 */
export declare const TooltipParts: {};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const tooltipStyleModules: StyleRules;

/**
 * Default Tooltip template, {@link @microsoft/fast-foundation#tooltipTemplate}.
 * @public
 */
export declare const tooltipTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTTooltip>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const tooltipTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const treeItemAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const TreeItemAnatomy: ComponentAnatomy<typeof TreeItemConditions, typeof TreeItemParts>;

/**
 * @public
 */
export declare const TreeItemConditions: {
    selected: string;
};

/**
 * @public
 */
export declare const TreeItemParts: {
    control: string;
    expandCollapseButton: string;
    content: string;
    items: string;
};

/**
 * Keys for {@link DesignSystem} `statics` registration for the tree item.
 *
 * @beta
 */
export declare const TreeItemStatics: {
    readonly expandCollapse: "tree-item-expand-collapse-icon";
};

/**
 * @beta
 */
export declare type TreeItemStatics = ValuesOf<typeof TreeItemStatics>;

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const treeItemStyleModules: StyleRules;

/**
 * Default Tree Item template, {@link @microsoft/fast-foundation#treeItemTemplate}.
 * @public
 */
export declare const treeItemTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTTreeItem>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const treeItemTemplateStyles: ElementStyles;

/**
 * Visual styles including Adaptive UI tokens.
 * @public
 */
export declare const treeViewAestheticStyles: ElementStyles;

/**
 * @public
 */
export declare const TreeViewAnatomy: ComponentAnatomy<typeof TreeViewConditions, typeof TreeViewParts>;

/**
 * @public
 */
export declare const TreeViewConditions: {};

/**
 * @public
 */
export declare const TreeViewParts: {};

/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export declare const treeViewStyleModules: StyleRules;

/**
 * Default Tree View template, {@link @microsoft/fast-foundation#treeViewTemplate}.
 * @public
 */
export declare const treeViewTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTTreeView>;

/**
 * Basic layout styling associated with the anatomy of the template.
 * @public
 */
export declare const treeViewTemplateStyles: ElementStyles;

export { }
