import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTAccordionItem } from "@microsoft/fast-foundation";
import type { ValuesOf } from '@microsoft/fast-foundation';
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * Keys for {@link DesignSystem} `statics` registration for the accordion item collapsed icon.
 *
 * @beta
 */
export declare const AccordionItemStatics: {
    readonly collapsed: "accordion-item-collapsed-icon";
    readonly expanded: "accordion-item-expanded-icon";
};
/**
 * @beta
 */
export type AccordionItemStatics = ValuesOf<typeof AccordionItemStatics>;
/**
 * @public
 */
export declare const AccordionItemConditions: {
    expanded: string;
};
/**
 * @public
 */
export declare const AccordionItemParts: {
    heading: string;
    button: string;
    headingContent: string;
    icon: string;
    region: string;
};
/**
 * @public
 */
export declare const AccordionItemAnatomy: ComponentAnatomy<typeof AccordionItemConditions, typeof AccordionItemParts>;
/**
 * Default Accordion Item template, {@link @microsoft/fast-foundation#accordionItemTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTAccordionItem>;
