import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTAnchor } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const AnchorConditions: {
    iconOnly: string;
    noHref: string;
};
/**
 * @public
 */
export declare const AnchorParts: {
    control: string;
    content: string;
};
/**
 * @public
 */
export declare const AnchorAnatomy: ComponentAnatomy<typeof AnchorConditions, typeof AnchorParts>;
/**
 * Default Anchor template, {@link @microsoft/fast-foundation#anchorTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTAnchor>;
