import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTBreadcrumbItem } from "@microsoft/fast-foundation";
import type { ValuesOf } from '@microsoft/fast-foundation';
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * Keys for {@link DesignSystem} `statics` registration for the breadcrumb item.
 *
 * @beta
 */
export declare const BreadcrumbItemStatics: {
    readonly separator: "breadcrumb-item-separator";
};
/**
 * @beta
 */
export type BreadcrumbItemStatics = ValuesOf<typeof BreadcrumbItemStatics>;
/**
 * @public
 */
export declare const BreadcrumbItemConditions: {
    noHref: string;
    current: string;
};
/**
 * @public
 */
export declare const BreadcrumbItemParts: {
    control: string;
    content: string;
    listitem: string;
    separator: string;
};
/**
 * @public
 */
export declare const BreadcrumbItemAnatomy: ComponentAnatomy<typeof BreadcrumbItemConditions, typeof BreadcrumbItemParts>;
/**
 * Default Breadcrumb Item template, {@link @microsoft/fast-foundation#breadcrumbItemTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTBreadcrumbItem>;
