import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTCheckbox } from "@microsoft/fast-foundation";
import type { ValuesOf } from '@microsoft/fast-foundation';
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * Keys for {@link DesignSystem} `statics` registration for the checkbox.
 *
 * @beta
 */
export declare const CheckboxStatics: {
    readonly checked: "checkbox-checked-indicator";
    readonly indeterminate: "checkbox-indeterminate-indicator";
};
/**
 * @beta
 */
export type CheckboxStatics = ValuesOf<typeof CheckboxStatics>;
/**
 * @public
 */
export declare const CheckboxConditions: {
    checked: string;
    indeterminate: string;
};
/**
 * @public
 */
export declare const CheckboxParts: {
    control: string;
    label: string;
};
/**
 * @public
 */
export declare const CheckboxAnatomy: ComponentAnatomy<typeof CheckboxConditions, typeof CheckboxParts>;
/**
 * Default Checkbox template, {@link @microsoft/fast-foundation#checkboxTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTCheckbox>;
