import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTCombobox } from "@microsoft/fast-foundation";
import type { ValuesOf } from '@microsoft/fast-foundation';
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * Keys for {@link DesignSystem} `statics` registration for the combobox.
 *
 * @beta
 */
export declare const ComboboxStatics: {
    readonly indicator: "combobox-indicator";
};
/**
 * @beta
 */
export type ComboboxStatics = ValuesOf<typeof ComboboxStatics>;
/**
 * @public
 */
export declare const ComboboxConditions: {};
/**
 * @public
 */
export declare const ComboboxParts: {
    control: string;
    selectedValue: string;
    indicator: string;
    listbox: string;
};
/**
 * @public
 */
export declare const ComboboxAnatomy: ComponentAnatomy<typeof ComboboxConditions, typeof ComboboxParts>;
/**
 * Default Combobox template, {@link @microsoft/fast-foundation#comboboxTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTCombobox>;
