import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTFlipper } from "@microsoft/fast-foundation";
import type { ValuesOf } from '@microsoft/fast-foundation';
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * Keys for {@link DesignSystem} `statics` registration for the flipper.
 *
 * @beta
 */
export declare const FlipperStatics: {
    readonly next: "flipper-next";
    readonly previous: "flipper-previous";
};
/**
 * @beta
 */
export type FlipperStatics = ValuesOf<typeof FlipperStatics>;
/**
 * @public
 */
export declare const FlipperConditions: {
    direction: {
        next: string;
        previous: string;
    };
};
/**
 * @public
 */
export declare const FlipperParts: {
    next: string;
    previous: string;
};
/**
 * @public
 */
export declare const FlipperAnatomy: ComponentAnatomy<typeof FlipperConditions, typeof FlipperParts>;
/**
 * Default Flipper template, {@link @microsoft/fast-foundation#flipperTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTFlipper>;
