import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTHorizontalScroll, StartEndOptions, StaticallyComposableHTML, TemplateElementDependency } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const HorizontalScrollConditions: {};
/**
 * @public
 */
export declare const HorizontalScrollParts: {
    scrollArea: string;
    scrollView: string;
    content: string;
    scrollPrevious: string;
    previousFlipper: string;
    scrollNext: string;
    nextFlipper: string;
};
/**
 * @public
 */
export declare const HorizontalScrollAnatomy: ComponentAnatomy<typeof HorizontalScrollConditions, typeof HorizontalScrollParts>;
export type HorizontalScrollOptions = StartEndOptions<FASTHorizontalScroll> & {
    nextFlipper?: StaticallyComposableHTML<FASTHorizontalScroll>;
    previousFlipper?: StaticallyComposableHTML<FASTHorizontalScroll>;
    flipper: TemplateElementDependency;
};
/**
 * Default Horizontal Scroll template, {@link @microsoft/fast-foundation#horizontalScrollTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTHorizontalScroll>;
