import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTListboxOption } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const ListboxOptionConditions: {
    checked: string;
    selected: string;
};
/**
 * @public
 */
export declare const ListboxOptionParts: {
    content: string;
};
/**
 * @public
 */
export declare const ListboxOptionAnatomy: ComponentAnatomy<typeof ListboxOptionConditions, typeof ListboxOptionParts>;
/**
 * Default Listbox Option template, {@link @microsoft/fast-foundation#listboxOptionTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTListboxOption>;
