import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTMenuItem } from "@microsoft/fast-foundation";
import type { ValuesOf } from '@microsoft/fast-foundation';
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * Keys for {@link DesignSystem} `statics` registration for the menu item.
 *
 * @beta
 */
export declare const MenuItemStatics: {
    readonly checkbox: "menu-item-checkbox-indicator";
    readonly radio: "menu-item-radio-indicator";
    readonly submenu: "menu-item-submenu-item";
};
/**
 * @beta
 */
export type MenuItemStatics = ValuesOf<typeof MenuItemStatics>;
/**
 * @public
 */
export declare const MenuItemConditions: {
    checked: string;
};
/**
 * @public
 */
export declare const MenuItemParts: {
    content: string;
    submenuIcon: string;
};
/**
 * @public
 */
export declare const MenuItemAnatomy: ComponentAnatomy<typeof MenuItemConditions, typeof MenuItemParts>;
/**
 * Default Menu Item template, {@link @microsoft/fast-foundation#menuItemTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTMenuItem>;
