import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTNumberField } from "@microsoft/fast-foundation";
import type { ValuesOf } from '@microsoft/fast-foundation';
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * Keys for {@link DesignSystem} `statics` registration for the number field.
 *
 * @beta
 */
export declare const NumberFieldStatics: {
    readonly stepDown: "number-field-step-down-icon";
    readonly stepUp: "number-field-step-up-icon";
};
/**
 * @beta
 */
export type NumberFieldStatics = ValuesOf<typeof NumberFieldStatics>;
/**
 * @public
 */
export declare const NumberFieldConditions: {};
/**
 * @public
 */
export declare const NumberFieldParts: {
    label: string;
    root: string;
    control: string;
    controls: string;
    stepUp: string;
    stepDown: string;
};
/**
 * @public
 */
export declare const NumberFieldAnatomy: ComponentAnatomy<typeof NumberFieldConditions, typeof NumberFieldParts>;
/**
 * Default Number Field template, {@link @microsoft/fast-foundation#numberFieldTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTNumberField>;
