import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTRadioGroup } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const RadioGroupConditions: {
    orientation: {
        horizontal: string;
        vertical: string;
    };
};
/**
 * @public
 */
export declare const RadioGroupParts: {
    positioningRegion: string;
};
/**
 * @public
 */
export declare const RadioGroupAnatomy: ComponentAnatomy<typeof RadioGroupConditions, typeof RadioGroupParts>;
/**
 * Default Radio Group template, {@link @microsoft/fast-foundation#radioGroupTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTRadioGroup>;
