import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTRadio } from "@microsoft/fast-foundation";
import type { ValuesOf } from '@microsoft/fast-foundation';
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * Keys for {@link DesignSystem} `statics` registration for the radio.
 *
 * @beta
 */
export declare const RadioStatics: {
    readonly checked: "radio-checked-indicator";
};
/**
 * @beta
 */
export type RadioStatics = ValuesOf<typeof RadioStatics>;
/**
 * @public
 */
export declare const RadioConditions: {
    checked: string;
};
/**
 * @public
 */
export declare const RadioParts: {
    control: string;
    label: string;
};
/**
 * @public
 */
export declare const RadioAnatomy: ComponentAnatomy<typeof RadioConditions, typeof RadioParts>;
/**
 * Default Radio template, {@link @microsoft/fast-foundation#radioTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTRadio>;
