import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTSelect } from "@microsoft/fast-foundation";
import type { ValuesOf } from '@microsoft/fast-foundation';
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * Keys for {@link DesignSystem} `statics` registration for the select.
 *
 * @beta
 */
export declare const SelectStatics: {
    readonly indicator: "select-indicator";
};
/**
 * @beta
 */
export type SelectStatics = ValuesOf<typeof SelectStatics>;
/**
 * @public
 */
export declare const SelectConditions: {
    isDropdown: string;
    isListbox: string;
};
/**
 * @public
 */
export declare const SelectParts: {
    control: string;
    selectedValue: string;
    indicator: string;
    listbox: string;
};
/**
 * @public
 */
export declare const SelectAnatomy: ComponentAnatomy<typeof SelectConditions, typeof SelectParts>;
/**
 * Default Select template, {@link @microsoft/fast-foundation#selectTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTSelect>;
