import { ElementViewTemplate } from "@microsoft/fast-element";
import type { FASTSliderLabel } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const SliderLabelConditions: {
    orientation: {
        horizontal: string;
        vertical: string;
    };
};
/**
 * @public
 */
export declare const SliderLabelParts: {
    container: string;
    mark: string;
    content: string;
};
/**
 * @public
 */
export declare const SliderLabelAnatomy: ComponentAnatomy<typeof SliderLabelConditions, typeof SliderLabelParts>;
/**
 * Default Slider Label template, {@link @microsoft/fast-foundation#sliderLabelTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTSliderLabel>;
