import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTSlider } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const SliderConditions: {
    orientation: {
        horizontal: string;
        vertical: string;
    };
};
/**
 * @public
 */
export declare const SliderParts: {
    positioningRegion: string;
    track: string;
    trackStart: string;
    thumbContainer: string;
    thumb: string;
};
/**
 * @public
 */
export declare const SliderAnatomy: ComponentAnatomy<typeof SliderConditions, typeof SliderParts>;
/**
 * Default Slider template, {@link @microsoft/fast-foundation#sliderTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTSlider>;
