import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTTabs } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const TabsConditions: {
    orientation: {
        horizontal: string;
        vertical: string;
    };
};
/**
 * @public
 */
export declare const TabsParts: {
    tablist: string;
    tabpanel: string;
};
/**
 * @public
 */
export declare const TabsAnatomy: ComponentAnatomy<typeof TabsConditions, typeof TabsParts>;
/**
 * Default Tabs template, {@link @microsoft/fast-foundation#tabsTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTTabs>;
