import { ElementViewTemplate } from "@microsoft/fast-element";
import { FASTToolbar } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * @public
 */
export declare const ToolbarConditions: {
    orientation: {
        horizontal: string;
        vertical: string;
    };
};
/**
 * @public
 */
export declare const ToolbarParts: {
    positioningRegion: string;
};
/**
 * @public
 */
export declare const ToolbarAnatomy: ComponentAnatomy<typeof ToolbarConditions, typeof ToolbarParts>;
/**
 * Default Toolbar template, {@link @microsoft/fast-foundation#toolbarTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTToolbar>;
