import { ElementViewTemplate } from "@microsoft/fast-element";
import type { FASTTreeItem, ValuesOf } from "@microsoft/fast-foundation";
import { ComponentAnatomy } from "@adaptive-web/adaptive-ui";
import { DesignSystem } from "../../design-system.js";
/**
 * Keys for {@link DesignSystem} `statics` registration for the tree item.
 *
 * @beta
 */
export declare const TreeItemStatics: {
    readonly expandCollapse: "tree-item-expand-collapse-icon";
};
/**
 * @beta
 */
export type TreeItemStatics = ValuesOf<typeof TreeItemStatics>;
/**
 * @public
 */
export declare const TreeItemConditions: {
    selected: string;
};
/**
 * @public
 */
export declare const TreeItemParts: {
    control: string;
    expandCollapseButton: string;
    content: string;
    items: string;
};
/**
 * @public
 */
export declare const TreeItemAnatomy: ComponentAnatomy<typeof TreeItemConditions, typeof TreeItemParts>;
/**
 * Default Tree Item template, {@link @microsoft/fast-foundation#treeItemTemplate}.
 * @public
 */
export declare const template: (ds: DesignSystem) => ElementViewTemplate<FASTTreeItem>;
