/**
 * Recommended base styles for a component.
 *
 * @public
 * @remarks
 * Adds support for `[hidden]` custom elements.
 */
export declare const componentBaseStyles = "\n    :host([hidden]) {\n        display: none !important;\n    }\n\n    :host {\n        box-sizing: border-box;\n    }\n\n    *, *:before, *:after {\n        box-sizing: inherit;\n    }\n";
/**
 * Styles for default svg icons.
 *
 * @public
 * @remarks
 * Temporary rule to be migrated to style modules structure.
 */
export declare const svgIconStyles = "\n    .stroked {\n        stroke: currentcolor;\n        stroke-linecap: round;\n        stroke-linejoin: round;\n        stroke-width: 1px;\n    }\n";
