import { accordionItemTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * Keys for {@link DesignSystem} `statics` registration for the accordion item collapsed icon.
 *
 * @beta
 */
export const AccordionItemStatics = {
    collapsed: "accordion-item-collapsed-icon",
    expanded: "accordion-item-expanded-icon"
};
/**
 * @public
 */
export const AccordionItemConditions = {
    expanded: "[expanded]",
};
/**
 * @public
 */
export const AccordionItemParts = {
    heading: "heading",
    button: "button",
    headingContent: "heading-content",
    icon: "icon",
    region: "region",
};
/**
 * @public
 */
export const AccordionItemAnatomy = {
    interactivity: Interactivity.disabledAttribute,
    conditions: AccordionItemConditions,
    parts: AccordionItemParts,
};
/**
 * Default Accordion Item template, {@link @microsoft/fast-foundation#accordionItemTemplate}.
 * @public
 */
export const template = (ds) => accordionItemTemplate({
    collapsedIcon: ds.statics.get(AccordionItemStatics.collapsed),
    expandedIcon: ds.statics.get(AccordionItemStatics.expanded),
});
//# sourceMappingURL=accordion-item.template.js.map