import { accentForegroundReadableControlStyles, controlShapeStyles, densityControl, neutralForegroundStrongElementStyles, typeRampBaseStyles } from "@adaptive-web/adaptive-ui/reference";
import { AnchorAnatomy } from "./anchor.template.js";
/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export const styleModules = [
    {
        target: {
            part: AnchorAnatomy.parts.control,
        },
        styles: [
            controlShapeStyles,
            typeRampBaseStyles,
            accentForegroundReadableControlStyles,
        ],
        properties: {
            gap: densityControl.horizontalGap,
        },
    },
    {
        target: {
            contextCondition: AnchorAnatomy.conditions.noHref,
            part: AnchorAnatomy.parts.control,
        },
        styles: neutralForegroundStrongElementStyles,
    },
];
//# sourceMappingURL=anchor.styles.modules.js.map