import { anchorTemplate } from "@microsoft/fast-foundation";
import { Focus, Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const AnchorConditions = {
    iconOnly: ".icon-only",
    noHref: ":not([href])",
};
/**
 * @public
 */
export const AnchorParts = {
    control: "control",
    content: "content",
};
/**
 * @public
 */
export const AnchorAnatomy = {
    interactivity: Interactivity.hrefAttribute,
    conditions: AnchorConditions,
    parts: AnchorParts,
    focus: Focus.partFocused("control"),
};
/**
 * Default Anchor template, {@link @microsoft/fast-foundation#anchorTemplate}.
 * @public
 */
export const template = (ds) => anchorTemplate();
//# sourceMappingURL=anchor.template.js.map