import { breadcrumbItemTemplate } from "@microsoft/fast-foundation";
import { Focus, Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * Keys for {@link DesignSystem} `statics` registration for the breadcrumb item.
 *
 * @beta
 */
export const BreadcrumbItemStatics = {
    separator: "breadcrumb-item-separator"
};
/**
 * @public
 */
export const BreadcrumbItemConditions = {
    noHref: ":not([href])",
    current: "[aria-current]",
};
/**
 * @public
 */
export const BreadcrumbItemParts = {
    control: "control",
    content: "content",
    listitem: "listitem",
    separator: "separator",
};
/**
 * @public
 */
export const BreadcrumbItemAnatomy = {
    interactivity: Interactivity.hrefAttribute,
    conditions: BreadcrumbItemConditions,
    parts: BreadcrumbItemParts,
    focus: Focus.partFocused("control"),
};
/**
 * Default Breadcrumb Item template, {@link @microsoft/fast-foundation#breadcrumbItemTemplate}.
 * @public
 */
export const template = (ds) => breadcrumbItemTemplate({
    separator: ds.statics.get(BreadcrumbItemStatics.separator),
});
//# sourceMappingURL=breadcrumb-item.template.js.map