import { FASTBreadcrumb } from "@microsoft/fast-foundation";
import { DesignSystem } from "../../design-system.js";
import { componentBaseStyles } from "../../styles/styles.js";
import { aestheticStyles, templateStyles } from "./breadcrumb.styles.js";
import { BreadcrumbAnatomy, template } from "./breadcrumb.template.js";
const defaultStyles = [componentBaseStyles, templateStyles, aestheticStyles];
/**
 * @public
 */
export function composeBreadcrumb(ds, options) {
    const styles = DesignSystem.assembleStyles(defaultStyles, BreadcrumbAnatomy, options);
    return FASTBreadcrumb.compose({
        name: `${ds.prefix}-breadcrumb`,
        template: options?.template?.(ds) ?? template(ds),
        styles,
        registry: ds.registry,
        elementOptions: options?.elementOptions,
        shadowOptions: options?.shadowOptions
    });
}
//# sourceMappingURL=breadcrumb.compose.js.map