import { FASTCalendar } from "@microsoft/fast-foundation";
import { DesignSystem } from "../../design-system.js";
import { componentBaseStyles } from "../../styles/styles.js";
import { aestheticStyles, templateStyles } from "./calendar.styles.js";
import { CalendarAnatomy, template } from "./calendar.template.js";
const defaultStyles = [componentBaseStyles, templateStyles, aestheticStyles];
/**
 * @public
 */
export function composeCalendar(ds, options) {
    const styles = DesignSystem.assembleStyles(defaultStyles, CalendarAnatomy, options);
    return FASTCalendar.compose({
        name: `${ds.prefix}-calendar`,
        template: options?.template?.(ds) ?? template(ds),
        styles,
        registry: ds.registry,
        elementOptions: options?.elementOptions,
        shadowOptions: options?.shadowOptions
    });
}
//# sourceMappingURL=calendar.compose.js.map