import { calendarTemplate, calendarTitleTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
import { composeDataGridCell } from "../data-grid-cell/index.js";
import { composeDataGridRow } from "../data-grid-row/index.js";
import { composeDataGrid } from "../data-grid/index.js";
/**
 * @public
 */
export const CalendarConditions = {};
/**
 * @public
 */
export const CalendarParts = {
    title: "title",
    month: "month",
    year: "year",
    days: "days",
    week: "week",
    weekDay: "week-day",
    weekDays: "week-days",
    day: "day",
    date: "date",
    today: "today",
};
/**
 * @public
 */
export const CalendarAnatomy = {
    interactivity: Interactivity.never,
    conditions: CalendarConditions,
    parts: CalendarParts,
};
/**
 * Default Calendar template, {@link @microsoft/fast-foundation#calendarTemplate}.
 * @public
 */
export const template = (ds) => calendarTemplate({
    dataGridCell: composeDataGridCell(ds),
    dataGridRow: composeDataGridRow(ds),
    dataGrid: composeDataGrid(ds),
    title: calendarTitleTemplate(),
});
//# sourceMappingURL=calendar.template.js.map