import { checkboxTemplate } from "@microsoft/fast-foundation";
import { Focus, Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * Keys for {@link DesignSystem} `statics` registration for the checkbox.
 *
 * @beta
 */
export const CheckboxStatics = {
    checked: "checkbox-checked-indicator",
    indeterminate: "checkbox-indeterminate-indicator"
};
/**
 * @public
 */
export const CheckboxConditions = {
    checked: "[aria-checked='true']",
    indeterminate: "[aria-checked='mixed']"
};
/**
 * @public
 */
export const CheckboxParts = {
    control: "control",
    label: "label"
};
/**
 * @public
 */
export const CheckboxAnatomy = {
    interactivity: Interactivity.disabledAttribute,
    conditions: CheckboxConditions,
    parts: CheckboxParts,
    focus: Focus.contextFocused(),
};
/**
 * Default Checkbox template, {@link @microsoft/fast-foundation#checkboxTemplate}.
 * @public
 */
export const template = (ds) => {
    return checkboxTemplate({
        checkedIndicator: ds.statics.get(CheckboxStatics.checked),
        indeterminateIndicator: ds.statics.get(CheckboxStatics.indeterminate),
    });
};
//# sourceMappingURL=checkbox.template.js.map