import { FASTCombobox } from "@microsoft/fast-foundation";
/**
 * The Adaptive version of Combobox. Extends {@link @microsoft/fast-foundation#FASTCombobox}.
 *
 * @public
 */
export class AdaptiveCombobox extends FASTCombobox {
    connectedCallback() {
        super.connectedCallback();
        this.onfocus = this.focusinHandler;
    }
    /**
     * Handles `focusin` actions for the component. When the component receives focus,
     * the input control is focused as it is on click.
     *
     * @internal
     */
    focusinHandler(e) {
        if (!this.shouldSkipFocus && e.target === e.currentTarget) {
            this.setSelectedOptions();
            this.focusAndScrollOptionIntoView();
        }
        this.shouldSkipFocus = false;
    }
    focus(options) {
        this.control.focus(options);
    }
}
//# sourceMappingURL=combobox.js.map