import { comboboxTemplate } from "@microsoft/fast-foundation";
import { Focus, Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * Keys for {@link DesignSystem} `statics` registration for the combobox.
 *
 * @beta
 */
export const ComboboxStatics = {
    indicator: "combobox-indicator"
};
/**
 * @public
 */
export const ComboboxConditions = {};
/**
 * @public
 */
export const ComboboxParts = {
    control: "control",
    selectedValue: "selected-value",
    indicator: "indicator",
    listbox: "listbox",
};
/**
 * @public
 */
export const ComboboxAnatomy = {
    interactivity: Interactivity.disabledAttribute,
    conditions: ComboboxConditions,
    parts: ComboboxParts,
    focus: Focus.partWithin("control", "selected-value"),
};
/**
 * Default Combobox template, {@link @microsoft/fast-foundation#comboboxTemplate}.
 * @public
 */
export const template = (ds) => comboboxTemplate({
    indicator: ds.statics.get(ComboboxStatics.indicator),
});
//# sourceMappingURL=combobox.template.js.map