import { controlDensityStyles, controlShapeStyles, labelTextStyles, plainTextStyles } from "@adaptive-web/adaptive-ui/reference";
import { DataGridCellAnatomy } from "./data-grid-cell.template.js";
/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export const styleModules = [
    {
        styles: [
            controlShapeStyles,
            controlDensityStyles,
            plainTextStyles,
        ],
    },
    {
        target: {
            contextCondition: DataGridCellAnatomy.conditions.cellType.columnHeader,
        },
        styles: labelTextStyles,
    },
    {
        target: {
            contextCondition: DataGridCellAnatomy.conditions.cellType.rowHeader,
        },
        styles: labelTextStyles,
    },
];
//# sourceMappingURL=data-grid-cell.styles.modules.js.map