import { dataGridCellTemplate, DataGridCellTypes } from "@microsoft/fast-foundation";
import { Focus, Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const DataGridCellConditions = {
    cellType: {
        default: `[cell-type='${DataGridCellTypes.default}']`,
        columnHeader: `[cell-type='${DataGridCellTypes.columnHeader}']`,
        rowHeader: `[cell-type='${DataGridCellTypes.rowHeader}']`,
    }
};
/**
 * @public
 */
export const DataGridCellParts = {};
/**
 * @public
 */
export const DataGridCellAnatomy = {
    interactivity: Interactivity.never,
    conditions: DataGridCellConditions,
    parts: DataGridCellParts,
    focus: Focus.contextFocused(),
};
/**
 * Default Data Grid Cell template, {@link @microsoft/fast-foundation#dataGridCellTemplate}.
 * @public
 */
export const template = (ds) => dataGridCellTemplate();
//# sourceMappingURL=data-grid-cell.template.js.map