import { dataGridRowTemplate, DataGridRowTypes } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
import { composeDataGridCell } from "../data-grid-cell/index.js";
/**
 * @public
 */
export const DataGridRowConditions = {
    rowType: {
        default: `[row-type='${DataGridRowTypes.default}']`,
        header: `[row-type='${DataGridRowTypes.header}']`,
        stickyHeader: `[row-type='${DataGridRowTypes.stickyHeader}']`,
    },
    selected: "[aria-selected='true']",
};
/**
 * @public
 */
export const DataGridRowParts = {};
/**
 * @public
 */
export const DataGridRowAnatomy = {
    interactivity: Interactivity.never,
    conditions: DataGridRowConditions,
    parts: DataGridRowParts,
};
/**
 * Default Data Grid Row template, {@link @microsoft/fast-foundation#dataGridRowTemplate}.
 * @public
 */
export const template = (ds) => dataGridRowTemplate({
    dataGridCell: composeDataGridCell(ds)
});
//# sourceMappingURL=data-grid-row.template.js.map