import { FASTDisclosure } from "@microsoft/fast-foundation";
import { DesignSystem } from "../../design-system.js";
import { componentBaseStyles } from "../../styles/styles.js";
import { aestheticStyles, templateStyles } from "./disclosure.styles.js";
import { DisclosureAnatomy, template } from "./disclosure.template.js";
const defaultStyles = [componentBaseStyles, templateStyles, aestheticStyles];
/**
 * @public
 */
export function composeDisclosure(ds, options) {
    const styles = DesignSystem.assembleStyles(defaultStyles, DisclosureAnatomy, options);
    return FASTDisclosure.compose({
        name: `${ds.prefix}-disclosure`,
        template: options?.template?.(ds) ?? template(ds),
        styles,
        registry: ds.registry,
        elementOptions: options?.elementOptions,
        shadowOptions: options?.shadowOptions
    });
}
//# sourceMappingURL=disclosure.compose.js.map