import { flipperTemplate } from "@microsoft/fast-foundation";
import { Focus, Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * Keys for {@link DesignSystem} `statics` registration for the flipper.
 *
 * @beta
 */
export const FlipperStatics = {
    next: "flipper-next",
    previous: "flipper-previous",
};
/**
 * @public
 */
export const FlipperConditions = {
    direction: {
        next: "[direction='next']",
        previous: "[direction='previous']",
    },
};
/**
 * @public
 */
export const FlipperParts = {
    next: "next",
    previous: "previous",
};
/**
 * @public
 */
export const FlipperAnatomy = {
    interactivity: Interactivity.disabledAttribute,
    conditions: FlipperConditions,
    parts: FlipperParts,
    focus: Focus.contextFocused(),
};
/**
 * Default Flipper template, {@link @microsoft/fast-foundation#flipperTemplate}.
 * @public
 */
export const template = (ds) => flipperTemplate({
    previous: ds.statics.get(FlipperStatics.previous),
    next: ds.statics.get(FlipperStatics.next),
});
//# sourceMappingURL=flipper.template.js.map