import { FASTHorizontalScroll, HorizontalScrollView } from "@microsoft/fast-foundation";
import { actionsStyles } from "./horizontal-scroll.styles.js";
/**
 * The Adaptive version of HorizontalScroll. Extends {@link @microsoft/fast-foundation#FASTHorizontalScroll}.
 *
 * @public
 */
export class AdaptiveHorizontalScroll extends FASTHorizontalScroll {
    connectedCallback() {
        super.connectedCallback();
        if (this.view !== "mobile") {
            this.$fastController.addStyles(actionsStyles);
        }
    }
    viewChanged(prev, next) {
        if (next === HorizontalScrollView.default) {
            this.$fastController.addStyles(actionsStyles);
        }
        else {
            this.$fastController.removeStyles(actionsStyles);
        }
    }
}
//# sourceMappingURL=horizontal-scroll.js.map