import { FASTListboxOption } from "@microsoft/fast-foundation";
import { DesignSystem } from "../../design-system.js";
import { componentBaseStyles } from "../../styles/styles.js";
import { aestheticStyles, templateStyles } from "./listbox-option.styles.js";
import { ListboxOptionAnatomy, template } from "./listbox-option.template.js";
const defaultStyles = [componentBaseStyles, templateStyles, aestheticStyles];
/**
 * @public
 */
export function composeListboxOption(ds, options) {
    const styles = DesignSystem.assembleStyles(defaultStyles, ListboxOptionAnatomy, options);
    return FASTListboxOption.compose({
        name: `${ds.prefix}-option`,
        template: options?.template?.(ds) ?? template(ds),
        styles,
        registry: ds.registry,
        elementOptions: options?.elementOptions,
        shadowOptions: options?.shadowOptions
    });
}
//# sourceMappingURL=listbox-option.compose.js.map