import { listboxOptionTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const ListboxOptionConditions = {
    checked: "[aria-checked='true']",
    selected: "[aria-selected='true']",
};
/**
 * @public
 */
export const ListboxOptionParts = {
    content: "content",
};
/**
 * @public
 */
export const ListboxOptionAnatomy = {
    interactivity: Interactivity.disabledAttribute,
    conditions: ListboxOptionConditions,
    parts: ListboxOptionParts,
};
/**
 * Default Listbox Option template, {@link @microsoft/fast-foundation#listboxOptionTemplate}.
 * @public
 */
export const template = (ds) => listboxOptionTemplate();
//# sourceMappingURL=listbox-option.template.js.map