import { __decorate, __metadata } from "tslib";
import { attr } from "@microsoft/fast-element";
import { FASTMenuItem } from "@microsoft/fast-foundation";
/**
 * The Adaptive version of MenuItem. Extends {@link @microsoft/fast-foundation#FASTMenuItem}.
 *
 * @public
 */
export class AdaptiveMenuItem extends FASTMenuItem {
    constructor() {
        super(...arguments);
        /**
         * Managed by {@link AdaptiveMenu} to align checkbox or radio controls and `start` slot content properly.
         *
         * @public
         */
        this.startColumnCount = 0;
        // public connectedCallback(): void {
        //     super.connectedCallback();
        //     if (!this.startColumnCount) {
        //         this.startColumnCount = 0;
        //     }
        // }
    }
}
__decorate([
    attr({ attribute: "start-column-count" }),
    __metadata("design:type", Number)
], AdaptiveMenuItem.prototype, "startColumnCount", void 0);
//# sourceMappingURL=menu-item.js.map