import { numberFieldTemplate } from "@microsoft/fast-foundation";
import { Focus, Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * Keys for {@link DesignSystem} `statics` registration for the number field.
 *
 * @beta
 */
export const NumberFieldStatics = {
    stepDown: "number-field-step-down-icon",
    stepUp: "number-field-step-up-icon"
};
/**
 * @public
 */
export const NumberFieldConditions = {};
/**
 * @public
 */
export const NumberFieldParts = {
    label: "label",
    root: "root",
    control: "control",
    controls: "controls",
    stepUp: "step-up",
    stepDown: "step-down",
};
/**
 * @public
 */
export const NumberFieldAnatomy = {
    interactivity: Interactivity.disabledAttribute,
    conditions: NumberFieldConditions,
    parts: NumberFieldParts,
    focus: Focus.partWithin("root", "control"), // How to make this `NumberFieldParts.root` instead of a string?
};
/**
 * Default Number Field template, {@link @microsoft/fast-foundation#numberFieldTemplate}.
 * @public
 */
export const template = (ds) => numberFieldTemplate({
    stepDownGlyph: ds.statics.get(NumberFieldStatics.stepDown),
    stepUpGlyph: ds.statics.get(NumberFieldStatics.stepUp),
});
//# sourceMappingURL=number-field.template.js.map