import { FASTPickerListItem } from "@microsoft/fast-foundation";
import { DesignSystem } from "../../design-system.js";
import { componentBaseStyles } from "../../styles/styles.js";
import { aestheticStyles, templateStyles } from "./picker-list-item.styles.js";
import { PickerListItemAnatomy, template } from "./picker-list-item.template.js";
const defaultStyles = [componentBaseStyles, templateStyles, aestheticStyles];
/**
 * @public
 */
export function composePickerListItem(ds, options) {
    const styles = DesignSystem.assembleStyles(defaultStyles, PickerListItemAnatomy, options);
    return FASTPickerListItem.compose({
        name: `${ds.prefix}-picker-list-item`,
        template: options?.template?.(ds) ?? template(ds),
        styles,
        registry: ds.registry,
        elementOptions: options?.elementOptions,
        shadowOptions: options?.shadowOptions
    });
}
//# sourceMappingURL=picker-list-item.compose.js.map