import { radioGroupTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const RadioGroupConditions = {
    orientation: {
        horizontal: "[orientation='horizontal']",
        vertical: "[orientation='vertical']",
    },
};
/**
 * @public
 */
export const RadioGroupParts = {
    positioningRegion: "positioning-region",
};
/**
 * @public
 */
export const RadioGroupAnatomy = {
    interactivity: Interactivity.disabledAttribute,
    conditions: RadioGroupConditions,
    parts: RadioGroupParts,
};
/**
 * Default Radio Group template, {@link @microsoft/fast-foundation#radioGroupTemplate}.
 * @public
 */
export const template = (ds) => radioGroupTemplate();
//# sourceMappingURL=radio-group.template.js.map