import { radioTemplate } from "@microsoft/fast-foundation";
import { Focus, Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * Keys for {@link DesignSystem} `statics` registration for the radio.
 *
 * @beta
 */
export const RadioStatics = {
    checked: "radio-checked-indicator"
};
/**
 * @public
 */
export const RadioConditions = {
    checked: "[aria-checked='true']",
};
/**
 * @public
 */
export const RadioParts = {
    control: "control",
    label: "label",
};
/**
 * @public
 */
export const RadioAnatomy = {
    interactivity: Interactivity.disabledAttribute,
    conditions: RadioConditions,
    parts: RadioParts,
    focus: Focus.contextFocused(),
};
/**
 * Default Radio template, {@link @microsoft/fast-foundation#radioTemplate}.
 * @public
 */
export const template = (ds) => radioTemplate({
    checkedIndicator: ds.statics.get(RadioStatics.checked),
});
//# sourceMappingURL=radio.template.js.map