import { css } from "@microsoft/fast-element";
import { FASTSelect } from "@microsoft/fast-foundation";
/**
 * The Adaptive version of Select. Extends {@link @microsoft/fast-foundation#FASTSelect}.
 */
export class AdaptiveSelect extends FASTSelect {
    multipleChanged(prev, next) {
        super.multipleChanged(prev, next);
        this.updateComputedStylesheet();
    }
    sizeChanged(prev, next) {
        super.sizeChanged(prev, next);
        this.updateComputedStylesheet();
    }
    /**
     * Updates an internal stylesheet with calculated CSS custom properties.
     *
     * @internal
     */
    updateComputedStylesheet() {
        this.$fastController.removeStyles(this.computedStylesheet);
        if (this.collapsible) {
            return;
        }
        this.computedStylesheet = css `
            :host {
                --size: ${`${this.size ?? (this.multiple ? 4 : 0)}`};
            }
        `;
        this.$fastController.addStyles(this.computedStylesheet);
    }
}
//# sourceMappingURL=select.js.map