import { selectTemplate } from "@microsoft/fast-foundation";
import { Focus, Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * Keys for {@link DesignSystem} `statics` registration for the select.
 *
 * @beta
 */
export const SelectStatics = {
    indicator: "select-indicator"
};
/**
 * @public
 */
export const SelectConditions = {
    isDropdown: "[aria-haspopup]",
    isListbox: ":not([aria-haspopup])",
};
/**
 * @public
 */
export const SelectParts = {
    control: "control",
    selectedValue: "selected-value",
    indicator: "indicator",
    listbox: "listbox",
};
/**
 * @public
 */
export const SelectAnatomy = {
    interactivity: Interactivity.disabledAttribute,
    conditions: SelectConditions,
    parts: SelectParts,
    focus: Focus.contextFocused(),
};
/**
 * Default Select template, {@link @microsoft/fast-foundation#selectTemplate}.
 * @public
 */
export const template = (ds) => selectTemplate({
    indicator: ds.statics.get(SelectStatics.indicator),
});
//# sourceMappingURL=select.template.js.map