import { FASTSkeleton } from "@microsoft/fast-foundation";
import { DesignSystem } from "../../design-system.js";
import { componentBaseStyles } from "../../styles/styles.js";
import { aestheticStyles, templateStyles } from "./skeleton.styles.js";
import { SkeletonAnatomy, template } from "./skeleton.template.js";
const defaultStyles = [componentBaseStyles, templateStyles, aestheticStyles];
/**
 * @public
 */
export function composeSkeleton(ds, options) {
    const styles = DesignSystem.assembleStyles(defaultStyles, SkeletonAnatomy, options);
    return FASTSkeleton.compose({
        name: `${ds.prefix}-skeleton`,
        template: options?.template?.(ds) ?? template(ds),
        styles,
        registry: ds.registry,
        elementOptions: options?.elementOptions,
        shadowOptions: options?.shadowOptions
    });
}
//# sourceMappingURL=skeleton.compose.js.map