import { html, when } from "@microsoft/fast-element";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const SkeletonConditions = {
    shape: {
        rectangle: "[shape='rect']",
        circle: "[shape='circle']",
    }
};
/**
 * @public
 */
export const SkeletonParts = {};
/**
 * @public
 */
export const SkeletonAnatomy = {
    interactivity: Interactivity.never,
    conditions: SkeletonConditions,
    parts: SkeletonParts,
};
/**
 * Default Skeleton template, {@link @microsoft/fast-foundation#skeletonTemplate}.
 * @public
 */
export const template = (ds) => html `
            ${when(x => x.shimmer === true, html `
                    <span class="shimmer"></span>
                `)}
            ${when(x => x.pattern, html `
                    <object type="image/svg+xml" data="${x => x.pattern}" role="presentation">
                        <img class="pattern" src="${x => x.pattern}" />
                    </object>
                `)}
            <slot></slot>
        `;
//# sourceMappingURL=skeleton.template.js.map