import { FASTSliderLabel } from "@microsoft/fast-foundation";
import { DesignSystem } from "../../design-system.js";
import { componentBaseStyles } from "../../styles/styles.js";
import { aestheticStyles, templateStyles } from "./slider-label.styles.js";
import { SliderLabelAnatomy, template } from "./slider-label.template.js";
const defaultStyles = [componentBaseStyles, templateStyles, aestheticStyles];
/**
 * @public
 */
export function composeSliderLabel(ds, options) {
    const styles = DesignSystem.assembleStyles(defaultStyles, SliderLabelAnatomy, options);
    return FASTSliderLabel.compose({
        name: `${ds.prefix}-slider-label`,
        template: options?.template?.(ds) ?? template(ds),
        styles,
        registry: ds.registry,
        elementOptions: options?.elementOptions,
        shadowOptions: options?.shadowOptions
    });
}
//# sourceMappingURL=slider-label.compose.js.map