import { html, when } from "@microsoft/fast-element";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const SliderLabelConditions = {
    orientation: {
        horizontal: "[orientation='horizontal']",
        vertical: "[orientation='vertical']",
    },
};
/**
 * @public
 */
export const SliderLabelParts = {
    container: "container",
    mark: "mark",
    content: "content",
};
/**
 * @public
 */
export const SliderLabelAnatomy = {
    interactivity: Interactivity.never,
    conditions: SliderLabelConditions,
    parts: SliderLabelParts,
};
// TODO: Temporary copy of template until https://github.com/microsoft/fast/pull/6286/
/**
 * Default Slider Label template, {@link @microsoft/fast-foundation#sliderLabelTemplate}.
 * @public
 */
export const template = (ds) => html `
            <template aria-disabled="${x => x.disabled}">
                <div part="container" class="container" style="${(x) => x.positionStyle}">
                    ${when((x) => !x.hideMark, html `
                            <div class="mark" part="mark"></div>
                        `)}
                    <span class="content" part="content">
                        <slot></slot>
                    </span>
                </div>
            </template>
        `;
// sliderLabelTemplate();
//# sourceMappingURL=slider-label.template.js.map