import { switchTemplate } from "@microsoft/fast-foundation";
import { Focus, Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const SwitchConditions = {
    checked: "[aria-checked='true']",
};
/**
 * @public
 */
export const SwitchParts = {
    switch: "switch",
    label: "label",
    thumb: "thumb",
};
/**
 * @public
 */
export const SwitchAnatomy = {
    interactivity: Interactivity.disabledAttribute,
    conditions: SwitchConditions,
    parts: SwitchParts,
    focus: Focus.contextFocused(),
};
/**
 * Default Switch template, {@link @microsoft/fast-foundation#switchTemplate}.
 * @public
 */
export const template = (ds) => switchTemplate({
    switch: `<div class="thumb" part="thumb"></div>`
});
//# sourceMappingURL=switch.template.js.map