import { FASTTab } from "@microsoft/fast-foundation";
import { DesignSystem } from "../../design-system.js";
import { componentBaseStyles } from "../../styles/styles.js";
import { aestheticStyles, templateStyles } from "./tab.styles.js";
import { TabAnatomy, template } from "./tab.template.js";
const defaultStyles = [componentBaseStyles, templateStyles, aestheticStyles];
/**
 * @public
 */
export function composeTab(ds, options) {
    const styles = DesignSystem.assembleStyles(defaultStyles, TabAnatomy, options);
    return FASTTab.compose({
        name: `${ds.prefix}-tab`,
        template: options?.template?.(ds) ?? template(ds),
        styles,
        registry: ds.registry,
        elementOptions: options?.elementOptions,
        shadowOptions: options?.shadowOptions
    });
}
//# sourceMappingURL=tab.compose.js.map