import { tabsTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const TabsConditions = {
    orientation: {
        horizontal: "[orientation='horizontal']",
        vertical: "[orientation='vertical']",
    },
};
/**
 * @public
 */
export const TabsParts = {
    tablist: "tablist",
    tabpanel: "tabpanel",
};
/**
 * @public
 */
export const TabsAnatomy = {
    interactivity: Interactivity.never,
    conditions: TabsConditions,
    parts: TabsParts,
};
/**
 * Default Tabs template, {@link @microsoft/fast-foundation#tabsTemplate}.
 * @public
 */
export const template = (ds) => tabsTemplate();
//# sourceMappingURL=tabs.template.js.map