import { autofillInnerDensityStyles, densityControl, inputAutofillStyles, labelTextStyles, typeRampBaseStyles } from "@adaptive-web/adaptive-ui/reference";
import { TextFieldAnatomy } from "./text-field.template.js";
/**
 * Visual styles composed by style rules.
 *
 * @public
 */
export const styleModules = [
    {
        styles: typeRampBaseStyles,
        properties: {
            gap: densityControl.verticalGap,
        }
    },
    {
        target: {
            part: TextFieldAnatomy.parts.label,
        },
        styles: labelTextStyles,
    },
    {
        target: {
            part: TextFieldAnatomy.parts.root,
        },
        styles: inputAutofillStyles,
    },
    {
        target: {
            part: TextFieldAnatomy.parts.control,
        },
        styles: autofillInnerDensityStyles,
    },
];
//# sourceMappingURL=text-field.styles.modules.js.map