import { textFieldTemplate } from "@microsoft/fast-foundation";
import { Focus, Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const TextFieldConditions = {};
/**
 * @public
 */
export const TextFieldParts = {
    label: "label",
    root: "root",
    control: "control",
};
/**
 * @public
 */
export const TextFieldAnatomy = {
    interactivity: Interactivity.disabledAttribute,
    conditions: TextFieldConditions,
    parts: TextFieldParts,
    focus: Focus.partWithin("root", "control"),
};
/**
 * Default Text Field template, {@link @microsoft/fast-foundation#textFieldTemplate}.
 * @public
 */
export const template = (ds) => textFieldTemplate();
//# sourceMappingURL=text-field.template.js.map