import { FASTToolbar } from "@microsoft/fast-foundation";
import { DesignSystem } from "../../design-system.js";
import { componentBaseStyles } from "../../styles/styles.js";
import { aestheticStyles, templateStyles } from "./toolbar.styles.js";
import { template, ToolbarAnatomy } from "./toolbar.template.js";
const defaultStyles = [componentBaseStyles, templateStyles, aestheticStyles];
/**
 * @public
 */
export function composeToolbar(ds, options) {
    const styles = DesignSystem.assembleStyles(defaultStyles, ToolbarAnatomy, options);
    return FASTToolbar.compose({
        name: `${ds.prefix}-toolbar`,
        template: options?.template?.(ds) ?? template(ds),
        styles,
        registry: ds.registry,
        elementOptions: options?.elementOptions,
        shadowOptions: options?.shadowOptions
    });
}
//# sourceMappingURL=toolbar.compose.js.map