import { toolbarTemplate } from "@microsoft/fast-foundation";
import { Interactivity } from "@adaptive-web/adaptive-ui";
/**
 * @public
 */
export const ToolbarConditions = {
    orientation: {
        horizontal: "[orientation='horizontal']",
        vertical: "[orientation='vertical']",
    },
};
/**
 * @public
 */
export const ToolbarParts = {
    positioningRegion: "positioning-region",
};
/**
 * @public
 */
export const ToolbarAnatomy = {
    interactivity: Interactivity.never,
    conditions: ToolbarConditions,
    parts: ToolbarParts,
};
/**
 * Default Toolbar template, {@link @microsoft/fast-foundation#toolbarTemplate}.
 * @public
 */
export const template = (ds) => toolbarTemplate();
//# sourceMappingURL=toolbar.template.js.map