## API Report File for "@adaptive-web/adaptive-web-components"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { ComponentAnatomy } from '@adaptive-web/adaptive-ui';
import { ComposableStyles } from '@microsoft/fast-element';
import { CSSDirective } from '@microsoft/fast-element';
import { ElementStyles } from '@microsoft/fast-element';
import { ElementViewTemplate } from '@microsoft/fast-element';
import { FASTAccordion } from '@microsoft/fast-foundation';
import { FASTAccordionItem } from '@microsoft/fast-foundation';
import { FASTAnchor } from '@microsoft/fast-foundation';
import { FASTAnchoredRegion } from '@microsoft/fast-foundation';
import { FASTAvatar } from '@microsoft/fast-foundation';
import { FASTBadge } from '@microsoft/fast-foundation';
import { FASTBreadcrumb } from '@microsoft/fast-foundation';
import { FASTBreadcrumbItem } from '@microsoft/fast-foundation';
import { FASTButton } from '@microsoft/fast-foundation';
import { FASTCalendar } from '@microsoft/fast-foundation';
import { FASTCard } from '@microsoft/fast-foundation';
import { FASTCheckbox } from '@microsoft/fast-foundation';
import { FASTCombobox } from '@microsoft/fast-foundation';
import { FASTDataGrid } from '@microsoft/fast-foundation';
import { FASTDataGridCell } from '@microsoft/fast-foundation';
import { FASTDataGridRow } from '@microsoft/fast-foundation';
import { FASTDialog } from '@microsoft/fast-foundation';
import { FASTDisclosure } from '@microsoft/fast-foundation';
import { FASTDivider } from '@microsoft/fast-foundation';
import { FASTElementDefinition } from '@microsoft/fast-element';
import { FASTFlipper } from '@microsoft/fast-foundation';
import { FASTHorizontalScroll } from '@microsoft/fast-foundation';
import { FASTListboxElement } from '@microsoft/fast-foundation';
import { FASTListboxOption } from '@microsoft/fast-foundation';
import { FASTMenu } from '@microsoft/fast-foundation';
import { FASTMenuItem } from '@microsoft/fast-foundation';
import { FASTNumberField } from '@microsoft/fast-foundation';
import { FASTPicker } from '@microsoft/fast-foundation';
import { FASTPickerList } from '@microsoft/fast-foundation';
import { FASTPickerListItem } from '@microsoft/fast-foundation';
import { FASTPickerMenu } from '@microsoft/fast-foundation';
import { FASTPickerMenuOption } from '@microsoft/fast-foundation';
import { FASTProgress } from '@microsoft/fast-foundation';
import { FASTProgressRing } from '@microsoft/fast-foundation';
import { FASTRadio } from '@microsoft/fast-foundation';
import { FASTRadioGroup } from '@microsoft/fast-foundation';
import { FASTSearch } from '@microsoft/fast-foundation';
import { FASTSelect } from '@microsoft/fast-foundation';
import { FASTSkeleton } from '@microsoft/fast-foundation';
import { FASTSlider } from '@microsoft/fast-foundation';
import { FASTSliderLabel } from '@microsoft/fast-foundation';
import { FASTSwitch } from '@microsoft/fast-foundation';
import { FASTTab } from '@microsoft/fast-foundation';
import { FASTTabPanel } from '@microsoft/fast-foundation';
import { FASTTabs } from '@microsoft/fast-foundation';
import { FASTTextArea } from '@microsoft/fast-foundation';
import { FASTTextField } from '@microsoft/fast-foundation';
import { FASTToolbar } from '@microsoft/fast-foundation';
import { FASTTooltip } from '@microsoft/fast-foundation';
import { FASTTreeItem } from '@microsoft/fast-foundation';
import { FASTTreeView } from '@microsoft/fast-foundation';
import { HorizontalScrollView } from '@microsoft/fast-foundation';
import { ShadowRootOptions } from '@microsoft/fast-element';
import type { StaticallyComposableHTML } from '@microsoft/fast-foundation';
import { StyleRules } from '@adaptive-web/adaptive-ui';
import type { ValuesOf } from '@microsoft/fast-foundation';

// @public
export const accordionAestheticStyles: ElementStyles;

// @public (undocumented)
export const AccordionAnatomy: ComponentAnatomy<typeof AccordionConditions, typeof AccordionParts>;

// @public (undocumented)
export const AccordionConditions: {};

// @public
export const accordionItemAestheticStyles: ElementStyles;

// @public (undocumented)
export const AccordionItemAnatomy: ComponentAnatomy<typeof AccordionItemConditions, typeof AccordionItemParts>;

// @public (undocumented)
export const AccordionItemConditions: {
    expanded: string;
};

// @public (undocumented)
export const AccordionItemParts: {
    heading: string;
    button: string;
    headingContent: string;
    icon: string;
    region: string;
};

// @beta
export const AccordionItemStatics: {
    readonly collapsed: "accordion-item-collapsed-icon";
    readonly expanded: "accordion-item-expanded-icon";
};

// @beta (undocumented)
export type AccordionItemStatics = ValuesOf<typeof AccordionItemStatics>;

// @public
export const accordionItemStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const accordionItemTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTAccordionItem>;

// @public
export const accordionItemTemplateStyles: ElementStyles;

// @public (undocumented)
export const AccordionParts: {};

// @public
export const accordionStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const accordionTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTAccordion>;

// @public
export const accordionTemplateStyles: ElementStyles;

// @public
export class AdaptiveAnchor extends FASTAnchor {
    protected defaultSlottedContentChanged(): void;
    // (undocumented)
    focus(options?: FocusOptions): void;
}

// @public
export class AdaptiveButton extends FASTButton {
    protected defaultSlottedContentChanged(): void;
    // (undocumented)
    focus(options?: FocusOptions): void;
}

// @beta
export const AdaptiveDesignSystem: DesignSystem;

// @public
export class AdaptiveHorizontalScroll extends FASTHorizontalScroll {
    // (undocumented)
    connectedCallback(): void;
    // (undocumented)
    protected viewChanged(prev?: HorizontalScrollView, next?: HorizontalScrollView): void;
}

// @public
export class AdaptiveMenu extends FASTMenu {
    // (undocumented)
    protected setItems(): void;
}

// @public
export class AdaptiveMenuItem extends FASTMenuItem {
    // Warning: (ae-forgotten-export) The symbol "AdaptiveMenuItemColumnCount" needs to be exported by the entry point index.d.ts
    startColumnCount: AdaptiveMenuItemColumnCount;
}

// @public
export const anchorAestheticStyles: ElementStyles;

// @public (undocumented)
export const AnchorAnatomy: ComponentAnatomy<typeof AnchorConditions, typeof AnchorParts>;

// @public (undocumented)
export const AnchorConditions: {
    iconOnly: string;
    noHref: string;
};

// @public
export const anchoredRegionAestheticStyles: ElementStyles;

// @public (undocumented)
export const AnchoredRegionAnatomy: ComponentAnatomy<typeof AnchoredRegionConditions, typeof AnchoredRegionParts>;

// @public (undocumented)
export const AnchoredRegionConditions: {
    loaded: string;
};

// @public (undocumented)
export const AnchoredRegionParts: {};

// @public
export const anchoredRegionStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const anchoredRegionTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTAnchoredRegion>;

// @public
export const anchoredRegionTemplateStyles: ElementStyles;

// @public (undocumented)
export const AnchorParts: {
    control: string;
    content: string;
};

// @public
export const anchorStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const anchorTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTAnchor>;

// @public
export const anchorTemplateStyles: ElementStyles;

// @public
export const avatarAestheticStyles: ElementStyles;

// @public (undocumented)
export const AvatarAnatomy: ComponentAnatomy<typeof AvatarConditions, typeof AvatarParts>;

// @public (undocumented)
export const AvatarConditions: {};

// @public (undocumented)
export const AvatarParts: {
    backplate: string;
};

// @public
export const avatarStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const avatarTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTAvatar>;

// @public
export const avatarTemplateStyles: ElementStyles;

// @public
export const badgeAestheticStyles: ElementStyles;

// @public (undocumented)
export const BadgeAnatomy: ComponentAnatomy<typeof BadgeConditions, typeof BadgeParts>;

// @public (undocumented)
export const BadgeConditions: {};

// @public (undocumented)
export const BadgeParts: {
    control: string;
};

// @public
export const badgeStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const badgeTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTBadge>;

// @public
export const badgeTemplateStyles: ElementStyles;

// Warning: (ae-internal-missing-underscore) The name "baseHeightMultiplier" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal @deprecated (undocumented)
export const baseHeightMultiplier: CSSDirective;

// @public
export const breadcrumbAestheticStyles: ElementStyles;

// @public (undocumented)
export const BreadcrumbAnatomy: ComponentAnatomy<typeof BreadcrumbConditions, typeof BreadcrumbParts>;

// @public (undocumented)
export const BreadcrumbConditions: {};

// @public
export const breadcrumbItemAestheticStyles: ElementStyles;

// @public (undocumented)
export const BreadcrumbItemAnatomy: ComponentAnatomy<typeof BreadcrumbItemConditions, typeof BreadcrumbItemParts>;

// @public (undocumented)
export const BreadcrumbItemConditions: {
    noHref: string;
    current: string;
};

// @public (undocumented)
export const BreadcrumbItemParts: {
    control: string;
    content: string;
    listitem: string;
    separator: string;
};

// @beta
export const BreadcrumbItemStatics: {
    readonly separator: "breadcrumb-item-separator";
};

// @beta (undocumented)
export type BreadcrumbItemStatics = ValuesOf<typeof BreadcrumbItemStatics>;

// @public
export const breadcrumbItemStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const breadcrumbItemTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTBreadcrumbItem>;

// @public
export const breadcrumbItemTemplateStyles: ElementStyles;

// @public (undocumented)
export const BreadcrumbParts: {
    list: string;
};

// @public
export const breadcrumbStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const breadcrumbTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTBreadcrumb>;

// @public
export const breadcrumbTemplateStyles: ElementStyles;

// @public
export const buttonAestheticStyles: ElementStyles;

// @public (undocumented)
export const ButtonAnatomy: ComponentAnatomy<typeof ButtonConditions, typeof ButtonParts>;

// @public (undocumented)
export const ButtonConditions: {
    iconOnly: string;
};

// @public (undocumented)
export const ButtonParts: {
    control: string;
    content: string;
};

// @public
export const buttonStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const buttonTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTButton>;

// @public
export const buttonTemplateStyles: ElementStyles;

// @public
export const calendarAestheticStyles: ElementStyles;

// @public (undocumented)
export const CalendarAnatomy: ComponentAnatomy<typeof CalendarConditions, typeof CalendarParts>;

// @public (undocumented)
export const CalendarConditions: {};

// @public (undocumented)
export const CalendarParts: {
    title: string;
    month: string;
    year: string;
    days: string;
    week: string;
    weekDay: string;
    weekDays: string;
    day: string;
    date: string;
    today: string;
};

// @public
export const calendarStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const calendarTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTCalendar>;

// @public
export const calendarTemplateStyles: ElementStyles;

// @public
export const cardAestheticStyles: ElementStyles;

// @public (undocumented)
export const CardAnatomy: ComponentAnatomy<typeof CardConditions, typeof CardParts>;

// @public (undocumented)
export const CardConditions: {};

// @public (undocumented)
export const CardParts: {};

// @public
export const cardStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const cardTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTCard>;

// @public
export const cardTemplateStyles: ElementStyles;

// @public
export const checkboxAestheticStyles: ElementStyles;

// @public (undocumented)
export const CheckboxAnatomy: ComponentAnatomy<typeof CheckboxConditions, typeof CheckboxParts>;

// @public (undocumented)
export const CheckboxConditions: {
    checked: string;
    indeterminate: string;
};

// @public (undocumented)
export const CheckboxParts: {
    control: string;
    label: string;
};

// @beta
export const CheckboxStatics: {
    readonly checked: "checkbox-checked-indicator";
    readonly indeterminate: "checkbox-indeterminate-indicator";
};

// @beta (undocumented)
export type CheckboxStatics = ValuesOf<typeof CheckboxStatics>;

// @public
export const checkboxStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const checkboxTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTCheckbox>;

// @public
export const checkboxTemplateStyles: ElementStyles;

// @public
export const comboboxAestheticStyles: ElementStyles;

// @public (undocumented)
export const ComboboxAnatomy: ComponentAnatomy<typeof ComboboxConditions, typeof ComboboxParts>;

// @public (undocumented)
export const ComboboxConditions: {};

// @public (undocumented)
export const ComboboxParts: {
    control: string;
    selectedValue: string;
    indicator: string;
    listbox: string;
};

// @beta
export const ComboboxStatics: {
    readonly indicator: "combobox-indicator";
};

// @beta (undocumented)
export type ComboboxStatics = ValuesOf<typeof ComboboxStatics>;

// @public
export const comboboxStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const comboboxTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTCombobox>;

// @public
export const comboboxTemplateStyles: ElementStyles;

// @public
export const componentBaseStyles = "\n    :host([hidden]) {\n        display: none !important;\n    }\n\n    :host {\n        box-sizing: border-box;\n    }\n\n    *, *:before, *:after {\n        box-sizing: inherit;\n    }\n";

// Warning: (ae-forgotten-export) The symbol "ComposeOptions" needs to be exported by the entry point index.d.ts
// Warning: (ae-incompatible-release-tags) The symbol "composeAccordion" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeAccordion(ds: DesignSystem, options?: ComposeOptions<FASTAccordion>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeAccordionItem" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
// Warning: (ae-incompatible-release-tags) The symbol "composeAccordionItem" is marked as @public, but its signature references "AccordionItemStatics" which is marked as @beta
//
// @public (undocumented)
export function composeAccordionItem(ds: DesignSystem, options?: ComposeOptions<FASTAccordionItem, AccordionItemStatics>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeAnchor" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeAnchor(ds: DesignSystem, options?: ComposeOptions<AdaptiveAnchor>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeAnchoredRegion" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeAnchoredRegion(ds: DesignSystem, options?: ComposeOptions<FASTAnchoredRegion>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeAvatar" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeAvatar(ds: DesignSystem, options?: ComposeOptions<FASTAvatar>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeBadge" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeBadge(ds: DesignSystem, options?: ComposeOptions<FASTBadge>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeBreadcrumb" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeBreadcrumb(ds: DesignSystem, options?: ComposeOptions<FASTBreadcrumb>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeBreadcrumbItem" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
// Warning: (ae-incompatible-release-tags) The symbol "composeBreadcrumbItem" is marked as @public, but its signature references "BreadcrumbItemStatics" which is marked as @beta
//
// @public (undocumented)
export function composeBreadcrumbItem(ds: DesignSystem, options?: ComposeOptions<FASTBreadcrumbItem, BreadcrumbItemStatics>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeButton" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeButton(ds: DesignSystem, options?: ComposeOptions<AdaptiveButton>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeCalendar" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeCalendar(ds: DesignSystem, options?: ComposeOptions<FASTCalendar>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeCard" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeCard(ds: DesignSystem, options?: ComposeOptions<FASTCard>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeCheckbox" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
// Warning: (ae-incompatible-release-tags) The symbol "composeCheckbox" is marked as @public, but its signature references "CheckboxStatics" which is marked as @beta
//
// @public (undocumented)
export function composeCheckbox(ds: DesignSystem, options?: ComposeOptions<FASTCheckbox, CheckboxStatics>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeCombobox" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
// Warning: (ae-incompatible-release-tags) The symbol "composeCombobox" is marked as @public, but its signature references "ComboboxStatics" which is marked as @beta
//
// @public (undocumented)
export function composeCombobox(ds: DesignSystem, options?: ComposeOptions<FASTCombobox, ComboboxStatics>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeDataGrid" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeDataGrid(ds: DesignSystem, options?: ComposeOptions<FASTDataGrid>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeDataGridCell" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeDataGridCell(ds: DesignSystem, options?: ComposeOptions<FASTDataGridCell>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeDataGridRow" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeDataGridRow(ds: DesignSystem, options?: ComposeOptions<FASTDataGridRow>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeDialog" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeDialog(ds: DesignSystem, options?: ComposeOptions<FASTDialog>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeDisclosure" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeDisclosure(ds: DesignSystem, options?: ComposeOptions<FASTDisclosure>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeDivider" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeDivider(ds: DesignSystem, options?: ComposeOptions<FASTDivider>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeFlipper" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
// Warning: (ae-incompatible-release-tags) The symbol "composeFlipper" is marked as @public, but its signature references "FlipperStatics" which is marked as @beta
//
// @public (undocumented)
export function composeFlipper(ds: DesignSystem, options?: ComposeOptions<FASTFlipper, FlipperStatics>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeHorizontalScroll" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeHorizontalScroll(ds: DesignSystem, options?: ComposeOptions<AdaptiveHorizontalScroll>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeListbox" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeListbox(ds: DesignSystem, options?: ComposeOptions<FASTListboxElement>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeListboxOption" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeListboxOption(ds: DesignSystem, options?: ComposeOptions<FASTListboxOption>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeMenu" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeMenu(ds: DesignSystem, options?: ComposeOptions<AdaptiveMenu>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeMenuItem" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
// Warning: (ae-incompatible-release-tags) The symbol "composeMenuItem" is marked as @public, but its signature references "MenuItemStatics" which is marked as @beta
//
// @public (undocumented)
export function composeMenuItem(ds: DesignSystem, options?: ComposeOptions<AdaptiveMenuItem, MenuItemStatics>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeNumberField" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
// Warning: (ae-incompatible-release-tags) The symbol "composeNumberField" is marked as @public, but its signature references "NumberFieldStatics" which is marked as @beta
//
// @public (undocumented)
export function composeNumberField(ds: DesignSystem, options?: ComposeOptions<FASTNumberField, NumberFieldStatics>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composePicker" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composePicker(ds: DesignSystem, options?: ComposeOptions<FASTPicker>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composePickerList" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composePickerList(ds: DesignSystem, options?: ComposeOptions<FASTPickerList>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composePickerListItem" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composePickerListItem(ds: DesignSystem, options?: ComposeOptions<FASTPickerListItem>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composePickerMenu" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composePickerMenu(ds: DesignSystem, options?: ComposeOptions<FASTPickerMenu>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composePickerMenuOption" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composePickerMenuOption(ds: DesignSystem, options?: ComposeOptions<FASTPickerMenuOption>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeProgress" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeProgress(ds: DesignSystem, options?: ComposeOptions<FASTProgress>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeProgressRing" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeProgressRing(ds: DesignSystem, options?: ComposeOptions<FASTProgressRing>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeRadio" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
// Warning: (ae-incompatible-release-tags) The symbol "composeRadio" is marked as @public, but its signature references "RadioStatics" which is marked as @beta
//
// @public (undocumented)
export function composeRadio(ds: DesignSystem, options?: ComposeOptions<FASTRadio, RadioStatics>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeRadioGroup" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeRadioGroup(ds: DesignSystem, options?: ComposeOptions<FASTRadioGroup>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeSearch" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeSearch(ds: DesignSystem, options?: ComposeOptions<FASTSearch>): FASTElementDefinition;

// Warning: (ae-forgotten-export) The symbol "AdaptiveSelect" needs to be exported by the entry point index.d.ts
// Warning: (ae-incompatible-release-tags) The symbol "composeSelect" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
// Warning: (ae-incompatible-release-tags) The symbol "composeSelect" is marked as @public, but its signature references "SelectStatics" which is marked as @beta
//
// @public (undocumented)
export function composeSelect(ds: DesignSystem, options?: ComposeOptions<AdaptiveSelect, SelectStatics>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeSkeleton" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeSkeleton(ds: DesignSystem, options?: ComposeOptions<FASTSkeleton>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeSlider" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeSlider(ds: DesignSystem, options?: ComposeOptions<FASTSlider>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeSliderLabel" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeSliderLabel(ds: DesignSystem, options?: ComposeOptions<FASTSliderLabel>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeSwitch" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeSwitch(ds: DesignSystem, options?: ComposeOptions<FASTSwitch>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeTab" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeTab(ds: DesignSystem, options?: ComposeOptions<FASTTab>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeTabPanel" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeTabPanel(ds: DesignSystem, options?: ComposeOptions<FASTTabPanel>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeTabs" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeTabs(ds: DesignSystem, options?: ComposeOptions<FASTTabs>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeTextArea" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeTextArea(ds: DesignSystem, options?: ComposeOptions<FASTTextArea>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeTextField" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeTextField(ds: DesignSystem, options?: ComposeOptions<FASTTextField>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeToolbar" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeToolbar(ds: DesignSystem, options?: ComposeOptions<FASTToolbar>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeTooltip" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeTooltip(ds: DesignSystem, options?: ComposeOptions<FASTTooltip>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeTreeItem" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
// Warning: (ae-incompatible-release-tags) The symbol "composeTreeItem" is marked as @public, but its signature references "TreeItemStatics" which is marked as @beta
//
// @public (undocumented)
export function composeTreeItem(ds: DesignSystem, options?: ComposeOptions<FASTTreeItem, TreeItemStatics>): FASTElementDefinition;

// Warning: (ae-incompatible-release-tags) The symbol "composeTreeView" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public (undocumented)
export function composeTreeView(ds: DesignSystem, options?: ComposeOptions<FASTTreeView>): FASTElementDefinition;

// @public
export const dataGridAestheticStyles: ElementStyles;

// @public (undocumented)
export const DataGridAnatomy: ComponentAnatomy<typeof DataGridConditions, typeof DataGridParts>;

// @public
export const dataGridCellAestheticStyles: ElementStyles;

// @public (undocumented)
export const DataGridCellAnatomy: ComponentAnatomy<typeof DataGridCellConditions, typeof DataGridCellParts>;

// @public (undocumented)
export const DataGridCellConditions: {
    cellType: {
        default: string;
        columnHeader: string;
        rowHeader: string;
    };
};

// @public (undocumented)
export const DataGridCellParts: {};

// @public
export const dataGridCellStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const dataGridCellTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTDataGridCell>;

// @public
export const dataGridCellTemplateStyles: ElementStyles;

// @public (undocumented)
export const DataGridConditions: {};

// @public (undocumented)
export const DataGridParts: {};

// @public
export const dataGridRowAestheticStyles: ElementStyles;

// @public (undocumented)
export const DataGridRowAnatomy: ComponentAnatomy<typeof DataGridRowConditions, typeof DataGridRowParts>;

// @public (undocumented)
export const DataGridRowConditions: {
    rowType: {
        default: string;
        header: string;
        stickyHeader: string;
    };
    selected: string;
};

// @public (undocumented)
export const DataGridRowParts: {};

// @public
export const dataGridRowStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const dataGridRowTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTDataGridRow>;

// @public
export const dataGridRowTemplateStyles: ElementStyles;

// @public
export const dataGridStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const dataGridTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTDataGrid>;

// @public
export const dataGridTemplateStyles: ElementStyles;

// Warning: (ae-internal-missing-underscore) The name "density" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal @deprecated (undocumented)
export const density: CSSDirective;

// @beta
export class DesignSystem {
    // Warning: (ae-forgotten-export) The symbol "ElementStaticMap" needs to be exported by the entry point index.d.ts
    constructor(_prefix: string, _registry?: CustomElementRegistry, _statics?: ElementStaticMap);
    static assembleStyles(defaultStyles: ComposableStyles[], anatomy?: ComponentAnatomy<any, any>, options?: ComposeOptions<any>): ElementStyles;
    // Warning: (ae-forgotten-export) The symbol "PartialDesignSystem" needs to be exported by the entry point index.d.ts
    configure(options: PartialDesignSystem): this;
    defineComponents(components: Record<string, ((ds: DesignSystem) => FASTElementDefinition) | FASTElementDefinition>): void;
    // (undocumented)
    get prefix(): string;
    // (undocumented)
    get registry(): CustomElementRegistry;
    // (undocumented)
    get statics(): ElementStaticMap;
    withPrefix(prefix: string): this;
}

// @public
export const dialogAestheticStyles: ElementStyles;

// @public (undocumented)
export const DialogAnatomy: ComponentAnatomy<typeof DialogConditions, typeof DialogParts>;

// @public (undocumented)
export const DialogConditions: {};

// @public (undocumented)
export const DialogParts: {
    positioningRegion: string;
    overlay: string;
    control: string;
};

// @public
export const dialogStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const dialogTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTDialog>;

// @public
export const dialogTemplateStyles: ElementStyles;

// @public
export const disclosureAestheticStyles: ElementStyles;

// @public (undocumented)
export const DisclosureAnatomy: ComponentAnatomy<typeof DisclosureConditions, typeof DisclosureParts>;

// @public (undocumented)
export const DisclosureConditions: {
    expanded: string;
};

// @public (undocumented)
export const DisclosureParts: {
    invoker: string;
};

// @public
export const disclosureStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const disclosureTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTDisclosure>;

// @public
export const disclosureTemplateStyles: ElementStyles;

// @public
export const dividerAestheticStyles: ElementStyles;

// @public (undocumented)
export const DividerAnatomy: ComponentAnatomy<typeof DividerConditions, typeof DividerParts>;

// @public (undocumented)
export const DividerConditions: {
    orientation: {
        horizontal: string;
        vertical: string;
    };
};

// @public (undocumented)
export const DividerParts: {};

// @public
export const dividerStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const dividerTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTDivider>;

// @public
export const dividerTemplateStyles: ElementStyles;

// @public
export const flipperAestheticStyles: ElementStyles;

// @public (undocumented)
export const FlipperAnatomy: ComponentAnatomy<typeof FlipperConditions, typeof FlipperParts>;

// @public (undocumented)
export const FlipperConditions: {
    direction: {
        next: string;
        previous: string;
    };
};

// @public (undocumented)
export const FlipperParts: {
    next: string;
    previous: string;
};

// @beta
export const FlipperStatics: {
    readonly next: "flipper-next";
    readonly previous: "flipper-previous";
};

// @beta (undocumented)
export type FlipperStatics = ValuesOf<typeof FlipperStatics>;

// @public
export const flipperStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const flipperTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTFlipper>;

// @public
export const flipperTemplateStyles: ElementStyles;

// Warning: (ae-internal-missing-underscore) The name "heightNumber" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal @deprecated (undocumented)
export const heightNumber: CSSDirective;

// @public
export const horizontalScrollAestheticStyles: ElementStyles;

// @public (undocumented)
export const HorizontalScrollAnatomy: ComponentAnatomy<typeof HorizontalScrollConditions, typeof HorizontalScrollParts>;

// @public (undocumented)
export const HorizontalScrollConditions: {};

// @public (undocumented)
export const HorizontalScrollParts: {
    scrollArea: string;
    scrollView: string;
    content: string;
    scrollPrevious: string;
    previousFlipper: string;
    scrollNext: string;
    nextFlipper: string;
};

// @public
export const horizontalScrollStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const horizontalScrollTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTHorizontalScroll>;

// @public
export const horizontalScrollTemplateStyles: ElementStyles;

// @public
export const listboxAestheticStyles: ElementStyles;

// @public (undocumented)
export const ListboxAnatomy: ComponentAnatomy<typeof ListboxConditions, typeof ListboxParts>;

// @public (undocumented)
export const ListboxConditions: {};

// @public
export const listboxOptionAestheticStyles: ElementStyles;

// @public (undocumented)
export const ListboxOptionAnatomy: ComponentAnatomy<typeof ListboxOptionConditions, typeof ListboxOptionParts>;

// @public (undocumented)
export const ListboxOptionConditions: {
    checked: string;
    selected: string;
};

// @public (undocumented)
export const ListboxOptionParts: {
    content: string;
};

// @public
export const listboxOptionStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const listboxOptionTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTListboxOption>;

// @public
export const listboxOptionTemplateStyles: ElementStyles;

// @public (undocumented)
export const ListboxParts: {};

// @public
export const listboxStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const listboxTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTListboxElement>;

// @public
export const listboxTemplateStyles: ElementStyles;

// @public
export const menuAestheticStyles: ElementStyles;

// @public (undocumented)
export const MenuAnatomy: ComponentAnatomy<typeof MenuConditions, typeof MenuParts>;

// @public (undocumented)
export const MenuConditions: {
    submenu: string;
};

// @public
export const menuItemAestheticStyles: ElementStyles;

// @public (undocumented)
export const MenuItemAnatomy: ComponentAnatomy<typeof MenuItemConditions, typeof MenuItemParts>;

// @public (undocumented)
export const MenuItemConditions: {
    checked: string;
};

// @public (undocumented)
export const MenuItemParts: {
    content: string;
    submenuIcon: string;
};

// @beta
export const MenuItemStatics: {
    readonly checkbox: "menu-item-checkbox-indicator";
    readonly radio: "menu-item-radio-indicator";
    readonly submenu: "menu-item-submenu-item";
};

// @beta (undocumented)
export type MenuItemStatics = ValuesOf<typeof MenuItemStatics>;

// @public
export const menuItemStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const menuItemTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTMenuItem>;

// @public
export const menuItemTemplateStyles: ElementStyles;

// @public (undocumented)
export const MenuParts: {};

// @public
export const menuStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const menuTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTMenu>;

// @public
export const menuTemplateStyles: ElementStyles;

// @public
export const numberFieldAestheticStyles: ElementStyles;

// @public (undocumented)
export const NumberFieldAnatomy: ComponentAnatomy<typeof NumberFieldConditions, typeof NumberFieldParts>;

// @public (undocumented)
export const NumberFieldConditions: {};

// @public (undocumented)
export const NumberFieldParts: {
    label: string;
    root: string;
    control: string;
    controls: string;
    stepUp: string;
    stepDown: string;
};

// @beta
export const NumberFieldStatics: {
    readonly stepDown: "number-field-step-down-icon";
    readonly stepUp: "number-field-step-up-icon";
};

// @beta (undocumented)
export type NumberFieldStatics = ValuesOf<typeof NumberFieldStatics>;

// @public
export const numberFieldStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const numberFieldTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTNumberField>;

// @public
export const numberFieldTemplateStyles: ElementStyles;

// @public
export const pickerAestheticStyles: ElementStyles;

// @public (undocumented)
export const PickerAnatomy: ComponentAnatomy<typeof PickerConditions, typeof PickerParts>;

// @public (undocumented)
export const PickerConditions: {};

// @public
export const pickerListAestheticStyles: ElementStyles;

// @public (undocumented)
export const PickerListAnatomy: ComponentAnatomy<typeof PickerListConditions, typeof PickerListParts>;

// @public (undocumented)
export const PickerListConditions: {};

// @public
export const pickerListItemAestheticStyles: ElementStyles;

// @public (undocumented)
export const PickerListItemAnatomy: ComponentAnatomy<typeof PickerListItemConditions, typeof PickerListItemParts>;

// @public (undocumented)
export const PickerListItemConditions: {};

// @public (undocumented)
export const PickerListItemParts: {};

// @public
export const pickerListItemStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const pickerListItemTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTPickerListItem>;

// @public
export const pickerListItemTemplateStyles: ElementStyles;

// @public (undocumented)
export const PickerListParts: {};

// @public
export const pickerListStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const pickerListTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTPickerList>;

// @public
export const pickerListTemplateStyles: ElementStyles;

// @public
export const pickerMenuAestheticStyles: ElementStyles;

// @public (undocumented)
export const PickerMenuAnatomy: ComponentAnatomy<typeof PickerMenuConditions, typeof PickerMenuParts>;

// @public (undocumented)
export const PickerMenuConditions: {};

// @public
export const pickerMenuOptionAestheticStyles: ElementStyles;

// @public (undocumented)
export const PickerMenuOptionAnatomy: ComponentAnatomy<typeof PickerMenuOptionConditions, typeof PickerMenuOptionParts>;

// @public (undocumented)
export const PickerMenuOptionConditions: {
    selected: string;
};

// @public (undocumented)
export const PickerMenuOptionParts: {};

// @public
export const pickerMenuOptionStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const pickerMenuOptionTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTPickerMenuOption>;

// @public
export const pickerMenuOptionTemplateStyles: ElementStyles;

// @public (undocumented)
export const PickerMenuParts: {
    optionsDisplay: string;
    headerRegion: string;
    footerRegion: string;
    suggestionsAvailableAlert: string;
};

// @public
export const pickerMenuStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const pickerMenuTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTPickerMenu>;

// @public
export const pickerMenuTemplateStyles: ElementStyles;

// @public (undocumented)
export const PickerParts: {
    region: string;
    noOptionsDisplay: string;
    loadingDisplay: string;
    loadingProgress: string;
};

// @public
export const pickerStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const pickerTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTPicker>;

// @public
export const pickerTemplateStyles: ElementStyles;

// @public
export const progressAestheticStyles: ElementStyles;

// @public (undocumented)
export const ProgressAnatomy: ComponentAnatomy<typeof ProgressConditions, typeof ProgressParts>;

// @public (undocumented)
export const ProgressConditions: {};

// @public (undocumented)
export const ProgressParts: {
    indicator: string;
    determinate: string;
    indeterminate: string;
};

// @public
export const progressRingAestheticStyles: ElementStyles;

// @public (undocumented)
export const ProgressRingAnatomy: ComponentAnatomy<typeof ProgressRingConditions, typeof ProgressRingParts>;

// @public (undocumented)
export const ProgressRingConditions: {};

// @public (undocumented)
export const ProgressRingParts: {
    indicator: string;
    determinate: string;
    indeterminate: string;
};

// @public
export const progressRingStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const progressRingTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTProgressRing>;

// @public
export const progressRingTemplateStyles: ElementStyles;

// @public
export const progressStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const progressTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTProgress>;

// @public
export const progressTemplateStyles: ElementStyles;

// @public
export const radioAestheticStyles: ElementStyles;

// @public (undocumented)
export const RadioAnatomy: ComponentAnatomy<typeof RadioConditions, typeof RadioParts>;

// @public (undocumented)
export const RadioConditions: {
    checked: string;
};

// @public
export const radioGroupAestheticStyles: ElementStyles;

// @public (undocumented)
export const RadioGroupAnatomy: ComponentAnatomy<typeof RadioGroupConditions, typeof RadioGroupParts>;

// @public (undocumented)
export const RadioGroupConditions: {
    orientation: {
        horizontal: string;
        vertical: string;
    };
};

// @public (undocumented)
export const RadioGroupParts: {
    positioningRegion: string;
};

// @public
export const radioGroupStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const radioGroupTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTRadioGroup>;

// @public
export const radioGroupTemplateStyles: ElementStyles;

// @public (undocumented)
export const RadioParts: {
    control: string;
    label: string;
};

// @beta
export const RadioStatics: {
    readonly checked: "radio-checked-indicator";
};

// @beta (undocumented)
export type RadioStatics = ValuesOf<typeof RadioStatics>;

// @public
export const radioStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const radioTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTRadio>;

// @public
export const radioTemplateStyles: ElementStyles;

// @public
export const searchAestheticStyles: ElementStyles;

// @public (undocumented)
export const SearchAnatomy: ComponentAnatomy<typeof SearchConditions, typeof SearchParts>;

// @public (undocumented)
export const SearchConditions: {};

// @public (undocumented)
export const SearchParts: {
    label: string;
    root: string;
    control: string;
    clearButton: string;
};

// @public
export const searchStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const searchTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTSearch>;

// @public
export const searchTemplateStyles: ElementStyles;

// @public
export const selectAestheticStyles: ElementStyles;

// @public (undocumented)
export const SelectAnatomy: ComponentAnatomy<typeof SelectConditions, typeof SelectParts>;

// @public (undocumented)
export const SelectConditions: {
    isDropdown: string;
    isListbox: string;
};

// @public (undocumented)
export const SelectParts: {
    control: string;
    selectedValue: string;
    indicator: string;
    listbox: string;
};

// @beta
export const SelectStatics: {
    readonly indicator: "select-indicator";
};

// @beta (undocumented)
export type SelectStatics = ValuesOf<typeof SelectStatics>;

// @public
export const selectStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const selectTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTSelect>;

// @public
export const selectTemplateStyles: ElementStyles;

// @public
export const skeletonAestheticStyles: ElementStyles;

// @public (undocumented)
export const SkeletonAnatomy: ComponentAnatomy<typeof SkeletonConditions, typeof SkeletonParts>;

// @public (undocumented)
export const SkeletonConditions: {
    shape: {
        rectangle: string;
        circle: string;
    };
};

// @public (undocumented)
export const SkeletonParts: {};

// @public
export const skeletonStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const skeletonTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTSkeleton>;

// @public
export const skeletonTemplateStyles: ElementStyles;

// @public
export const sliderAestheticStyles: ElementStyles;

// @public (undocumented)
export const SliderAnatomy: ComponentAnatomy<typeof SliderConditions, typeof SliderParts>;

// @public (undocumented)
export const SliderConditions: {
    orientation: {
        horizontal: string;
        vertical: string;
    };
};

// @public
export const sliderLabelAestheticStyles: ElementStyles;

// @public (undocumented)
export const SliderLabelAnatomy: ComponentAnatomy<typeof SliderLabelConditions, typeof SliderLabelParts>;

// @public (undocumented)
export const SliderLabelConditions: {
    orientation: {
        horizontal: string;
        vertical: string;
    };
};

// @public (undocumented)
export const SliderLabelParts: {
    container: string;
    mark: string;
    content: string;
};

// @public
export const sliderLabelStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const sliderLabelTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTSliderLabel>;

// @public
export const sliderLabelTemplateStyles: ElementStyles;

// @public (undocumented)
export const SliderParts: {
    positioningRegion: string;
    track: string;
    trackStart: string;
    thumbContainer: string;
    thumb: string;
};

// @public
export const sliderStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const sliderTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTSlider>;

// @public
export const sliderTemplateStyles: ElementStyles;

// @public
export const svgIconStyles = "\n    .stroked {\n        stroke: currentcolor;\n        stroke-linecap: round;\n        stroke-linejoin: round;\n        stroke-width: 1px;\n    }\n";

// @public
export const switchAestheticStyles: ElementStyles;

// @public (undocumented)
export const SwitchAnatomy: ComponentAnatomy<typeof SwitchConditions, typeof SwitchParts>;

// @public (undocumented)
export const SwitchConditions: {
    checked: string;
};

// @public (undocumented)
export const SwitchParts: {
    switch: string;
    label: string;
    thumb: string;
};

// @public
export const switchStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const switchTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTSwitch>;

// @public
export const switchTemplateStyles: ElementStyles;

// @public
export const tabAestheticStyles: ElementStyles;

// @public (undocumented)
export const TabAnatomy: ComponentAnatomy<typeof TabConditions, typeof TabParts>;

// @public (undocumented)
export const TabConditions: {};

// @public
export const tabPanelAestheticStyles: ElementStyles;

// @public (undocumented)
export const TabPanelAnatomy: ComponentAnatomy<typeof TabPanelConditions, typeof TabPanelParts>;

// @public (undocumented)
export const TabPanelConditions: {};

// @public (undocumented)
export const TabPanelParts: {};

// @public
export const tabPanelStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const tabPanelTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTTabPanel>;

// @public
export const tabPanelTemplateStyles: ElementStyles;

// @public (undocumented)
export const TabParts: {};

// @public
export const tabsAestheticStyles: ElementStyles;

// @public (undocumented)
export const TabsAnatomy: ComponentAnatomy<typeof TabsConditions, typeof TabsParts>;

// @public (undocumented)
export const TabsConditions: {
    orientation: {
        horizontal: string;
        vertical: string;
    };
};

// @public (undocumented)
export const TabsParts: {
    tablist: string;
    tabpanel: string;
};

// @public
export const tabsStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const tabsTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTTabs>;

// @public
export const tabsTemplateStyles: ElementStyles;

// @public
export const tabStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const tabTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTTab>;

// @public
export const tabTemplateStyles: ElementStyles;

// @public
export const textAreaAestheticStyles: ElementStyles;

// @public (undocumented)
export const TextAreaAnatomy: ComponentAnatomy<typeof TextAreaConditions, typeof TextAreaParts>;

// @public (undocumented)
export const TextAreaConditions: {};

// @public (undocumented)
export const TextAreaParts: {
    label: string;
    control: string;
};

// @public
export const textAreaStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const textAreaTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTTextArea>;

// @public
export const textAreaTemplateStyles: ElementStyles;

// @public
export const textFieldAestheticStyles: ElementStyles;

// @public (undocumented)
export const TextFieldAnatomy: ComponentAnatomy<typeof TextFieldConditions, typeof TextFieldParts>;

// @public (undocumented)
export const TextFieldConditions: {};

// @public (undocumented)
export const TextFieldParts: {
    label: string;
    root: string;
    control: string;
};

// @public
export const textFieldStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const textFieldTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTTextField>;

// @public
export const textFieldTemplateStyles: ElementStyles;

// @public
export const toolbarAestheticStyles: ElementStyles;

// @public (undocumented)
export const ToolbarAnatomy: ComponentAnatomy<typeof ToolbarConditions, typeof ToolbarParts>;

// @public (undocumented)
export const ToolbarConditions: {
    orientation: {
        horizontal: string;
        vertical: string;
    };
};

// @public (undocumented)
export const ToolbarParts: {
    positioningRegion: string;
};

// @public
export const toolbarStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const toolbarTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTToolbar>;

// @public
export const toolbarTemplateStyles: ElementStyles;

// @public
export const tooltipAestheticStyles: ElementStyles;

// @public (undocumented)
export const TooltipAnatomy: ComponentAnatomy<typeof TooltipConditions, typeof TooltipParts>;

// @public (undocumented)
export const TooltipConditions: {
    show: string;
    visible: string;
};

// @public (undocumented)
export const TooltipParts: {};

// @public
export const tooltipStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const tooltipTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTTooltip>;

// @public
export const tooltipTemplateStyles: ElementStyles;

// @public
export const treeItemAestheticStyles: ElementStyles;

// @public (undocumented)
export const TreeItemAnatomy: ComponentAnatomy<typeof TreeItemConditions, typeof TreeItemParts>;

// @public (undocumented)
export const TreeItemConditions: {
    selected: string;
};

// @public (undocumented)
export const TreeItemParts: {
    control: string;
    expandCollapseButton: string;
    content: string;
    items: string;
};

// @beta
export const TreeItemStatics: {
    readonly expandCollapse: "tree-item-expand-collapse-icon";
};

// @beta (undocumented)
export type TreeItemStatics = ValuesOf<typeof TreeItemStatics>;

// @public
export const treeItemStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const treeItemTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTTreeItem>;

// @public
export const treeItemTemplateStyles: ElementStyles;

// @public
export const treeViewAestheticStyles: ElementStyles;

// @public (undocumented)
export const TreeViewAnatomy: ComponentAnatomy<typeof TreeViewConditions, typeof TreeViewParts>;

// @public (undocumented)
export const TreeViewConditions: {};

// @public (undocumented)
export const TreeViewParts: {};

// @public
export const treeViewStyleModules: StyleRules;

// Warning: (ae-incompatible-release-tags) The symbol "template" is marked as @public, but its signature references "DesignSystem" which is marked as @beta
//
// @public
export const treeViewTemplate: (ds: DesignSystem) => ElementViewTemplate<FASTTreeView>;

// @public
export const treeViewTemplateStyles: ElementStyles;

// (No @packageDocumentation comment for this package)

```
